{ rotinas de tratamento de funcoes do editor }
{ Autores: Marcelo Luis Pinheiro }
{ Orientador Academico: Jose' Antonio Borges }
{ Em 10/12/93 }

Unit Catbusca;

interface
uses
    DVcrt, Windows, DVWin, Catler, sysUtils,
    Catvars, Catsom, Catfun, Catbloco, dvlenum;

Procedure palavraDir (falando: boolean);
Procedure palavraEsq (falando: boolean);
Procedure buscaRebusca;
Procedure AvancaNumber;
Procedure VoltaNumber;
Procedure buscaPalavraBG;
Procedure buscaDeNovoBG;
Procedure buscaPalavra;
Procedure buscaCadeia;
Procedure buscaNovamente;
Procedure buscaDeNovo;

implementation

var
    sz: array [0..144] of char;

{-----------------------------}

Procedure palavraDir (falando: boolean);
var
    linha: string;
    tam: integer;
    c: char;
begin
    tam := length (texto [py]);
    linha := texto [py] + ' x';

    c := linha[px];
    if c <> ' ' then
        repeat
            px := px + 1;
            c := linha[px];
        until not (c in ['a'..'z', 'A'..'Z', '0'..'9', #128..#255]);

    if c = ' ' then
        repeat
            px := px + 1;
            c := linha[px];
        until c <> ' ';

    if px > tam+1 then
        begin
            px := tam+1;
            if falando then sintBip;
        end
    else
        if falando then sintClek;
end;

{--------------------------------------------------------}

Procedure palavraEsq (falando: boolean);
var
    linha: string;
    c: char;
begin
    linha := ' x' + texto [py];
    px := px + 2;

    repeat
        px := px - 1;
        if px <= length (linha) then
            c := linha[px]
        else
            c := ' ';
    until c <> ' ';

    repeat
        px := px - 1;
        c := linha[px];
    until not (c in ['a'..'z', 'A'..'Z', '0'..'9', #128..#255]);

    px := px - 1;

    if px <= 0 then
        begin
            px := 1;
            if falando then sintBip;
        end
    else
        if falando then {sintClek};

end;

{-----------------------------}

procedure maiuscula (var s: Linha);
var c: char;
    i: integer;
begin
    for i := 1 to length (s) do
        begin
            c := s[i];
            if c < #128 then
                c := upcase (c)
            else
                case c of
                    '': c := '';
                    '': c := '';
                    '': c := '';    { provisorio }
                    '' : c := '';    { provisorio }
                    '': c := '';    { provisorio }
                    '': c := '';    { provisorio }
                    '': c := '';    { provisorio }
                    '': c := '';    { provisorio }
                    '': c := '';
                    '': c := '';
                    '': c := '';    { provisorio }
                    'u': c := 'U';    { provisorio }
                    '': c := '';
                end;
            s[i] := c;
        end;
end;

{-----------------------------}

Procedure buscaRebusca;
var x : byte;
k, i, y: integer;
arquiBloco, dirGrava, s, s1: string;
a: text;
    textoAProcurar: string;
    c: char;

label denovo;
begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado := textoAProcurar;

  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Qual o texto a procurar : ');
    msgbaixo ('BVTXTPRC', 'Digite o texto a procurar');
    msgbaixo ('BVPRCINI', ' desde o incio da Bblia');
    sintetiza (textoBuscado);
    begin
    c := sintEdita (textoBuscado, wherex, wherey, 255, true);
    textoBuscado := maiuscAnsi (textoBuscado);
    writeln;
sintclek;

    if textoBuscado = '' then
    textoBuscado := textoAProcurar;
            strPCopy (sz, textoBuscado);
            writePrivateProfileString('EDIVOX', 'TEXTOPROCURADO',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
                exit;
end;

    if textoBuscado = '' then
        begin
textoBuscado := textoAProcurar;
buscadenovo;
//                msgbaixo('BVDESIST', 'Operao cancelada');
            exit;
        end
else

ponteiro:=3;

  seek(arquivo,ponteiro +py-1);
Limite := tamanhoBiblia;

                    dirGrava := sintAmbiente ('CATOLVOX', 'DIRGRAVA');
                    if dirGrava = '' then dirGrava := '.';
                    if dirGrava [length(dirGrava)] <> '\' then
                        dirGrava := dirGrava + '\';

    s1 := sintAmbiente ('CATOLVOX', 'BIBATU');
    if s1 = 'A' then
    begin
s1 := ('A - Verso em Portugus - Bblia de Ave Maria');
    end;

    if s1 = 'C' then
    begin
s1 := ('C - Verso em Portugus - Bblia da CNBB)');
    end;

    if s1 = 'E' then
    begin
s1 := ('E - Verso em Espanhol - Bblia de Jerusalm em espanhol');
    end;

    if s1 = 'F' then
    begin
s1 := ('F - Verso em Francs - Bblia de Jerusalm em francs');
    end;

    if s1 = 'I' then
    begin
s1 := ('I - Verso em Italiano - Bblia Sagrada em italiano');
    end;

    if s1 = 'J' then
    begin
s1 := ('J - Verso em Portugus - Bblia de Jerusalm em portugus');
    end;

    if s1 = 'K' then
    begin
s1 := ('K - Verso em Ingls - Bblia de Jerusalm em ingls');
    end;

    if s1 = 'L' then
    begin
s1 := ('L - Verso em Alemo - Bblia em alemo');
    end;

    if s1 = 'P' then
    begin
s1 := ('P - Verso em Portugus - Edio Pastoral');
    end;

    if s1 = 'S' then
    begin
s1 := ('S - Septuaginta e NT grego para estudo com Dicionrio Info');
    end;

    if s1 = 'T' then
    begin
s1 := ('T - Verso em Espanhol - Traduccin en lenguaje actual (TLA)');
    end;

    if s1 = 'V' then
    begin
s1 := ('V - Verso em Latim - Vulgata Latina');
    end;

k:=-1;
i:=-1;
denovo:
if k = 50 then
begin
k:=k-50;
end;
k:=k+1;
i:=i+1;
            str (i, s);

  while filepos(arquivo)< limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := x;
    atualizaporindice;
//                  letrecho;
gravaProcura;
if k = 50 then
sintbip;
goto denovo;
                end;
        end;

begin
arquiBloco := dirGrava + '0 ' + textoBuscado + ' Letra ' + s1 + '.TXT';
  arquibloco :=limpa(  arquiBloco );

             assign (a, arquibloco);
             {$i-} reset (a); {$i+}
             If ioresult = 0 then
             begin
                 close (a);

begin
assign(a, arquibloco);
{$I-} append(a);{$I+}
If IOresult <> 0  Then
    begin
    exit;
    {$I-}close(a);{$I+}
    end;

if i = 1 then
begin
            textoBuscado :=maiuscansi (limpa(textoBuscado));
    writeln(a, '');
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
    writeln(a, ''+ s+ ' ocorrncia das palavras '+'"'+textoBuscado+'".')
    else
    writeln(a, ''+ s+ ' ocorrncia da palavra '+'"'+textoBuscado+'".');
end;
end;

if i > 1 then
begin
            textoBuscado :=maiuscansi (limpa(textoBuscado));
    writeln(a, '');
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
    writeln(a, ''+ s+ ' ocorrncias das palavras '+'"'+textoBuscado+'".')
else
    writeln(a, ''+ s+ ' ocorrncias da palavra '+'"'+textoBuscado+'".');
end;
end;

end;
close(a);
end;
end;

                msgbaixo('BVBIP', 'Bip');

if i = 0 then
begin
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
                msgbaixo ('BVNENHUMS', 'Nenhuma ocorrncia das palavras:')
    else
                msgbaixo ('BVNENHUM', 'Nenhuma ocorrncia da palavra:');
end;
sintbip;
            textoBuscado :=maiuscansi (limpa(textoBuscado));
sintwriteln (' "' + textoBuscado + '".');
sintbip;
end;

if i = 1 then
begin
                msgbaixo ('BVUMA', 'Uma');
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
                msgbaixo ('BVOCOPA1S', ' ocorrncia das palavras:')
    else
                msgbaixo ('BVOCOPA1', ' ocorrncia da palavra:');
end;
sintbip;
            textoBuscado :=maiuscansi (limpa(textoBuscado));
sintwriteln (' "' + textoBuscado + '".');
sintbip;
end;

if i = 2 then
begin
                msgbaixo ('BVDUAS', 'Duas');
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
                msgbaixo ('BVOCOPALS', ' ocorrncias das palavras:')
    else
                msgbaixo ('BVOCOPAL', ' ocorrncias da palavra:');
end;
sintbip;
            textoBuscado :=maiuscansi (limpa(textoBuscado));
sintwriteln (' "' + textoBuscado + '".');
sintbip;
end;

if i > 2 then
begin
sintwriteint (i);
begin
                y := pos (' ', textoBuscado);
            if y > 0 then
                msgbaixo ('BVOCOPALS', ' ocorrncias das palavras:')
    else
                msgbaixo ('BVOCOPAL', ' ocorrncias da palavra:');
end;
sintbip;
            textoBuscado :=maiuscansi (limpa(textoBuscado));
sintwriteln (' "' + textoBuscado + '".');
sintbip;
end;

if i > 0 then
begin
                msgbaixo ('BVVERRES', 'Veja o resultado no arquivo: ');
            textoBuscado :=maiuscansi (limpa(textoBuscado));
    if s1[1] in ['0'..'9'] then
sintwriteln ( dirGrava + '0 ' + textoBuscado + ' Nmero ' + s1 + '.TXT')
else
sintwriteln ( dirGrava + '0 ' + textoBuscado + ' Letra ' + s1 + '.TXT');
end;

        atualizaporindice;
falalivroatual1;
                  letrecho;
    salvaCurx := px;
    salvaCury := py;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
    px := salvaCurx;
    py := salvaCury;
{px:=x;}
exit;
end;
end;

{-----------------------------}

Procedure AvancaNumber;
var x : byte;
begin
  textoBuscado := '';
  seek(arquivo,ponteiro +py);
Limite := tamanhoBiblia;

  while filepos(arquivo)< limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := 2;
    atualizaporindice;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
marcaVersiculo1
else
marcaVersiculo1;
                    px := 2;
                    exit;
                end;
        end;

        msgbaixo ('BVFIMBIB', 'Fim da Bblia');
    atualizaporindice;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
marcaVersiculo1
else
marcaVersiculo1;
                    px :=2;
exit;
end;

{-----------------------------}

Procedure VoltaNumber;
var x : byte;
begin
  textoBuscado := '';
Limite := tamanhoBiblia-tamanhoBiblia-1;

  while filepos(arquivo)> limite+3  Do
    begin
ponteiro := ponteiro+ponty;
ponteiro := ponteiro - 1;
  seek(arquivo,ponteiro);
            read(arquivo, linhateste);
            x := pos (textoBuscado, linhateste);

            if x > 0 then
                begin
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := 2;
    atualizaporindice;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
else
    py:=1;
                    px := 2;
    atualizaporindice;

marcaVersiculo1;
                    px := 2;
                    exit;
                end;
                end;

if (ponteiro = 3) and (py=1) then
ponteiro := ponteiro + 1
else
ponteiro := ponteiro + 2;

  seek(arquivo,ponteiro);
    msgbaixo ('BVINIBIB', 'Incio da Bblia');
    atualizaporindice;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
marcaVersiculo1
else
marcaVersiculo1;
if pontaux = 1 then
                    px :=2
else
                    px :=1;
exit;
end;

{-----------------------------}

Procedure buscaPalavraBG;
var x : byte;
    textoAProcurar: string;
    c: char;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado := textoAProcurar;

  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Qual o texto a procurar : ');
    msgbaixo ('BVTXTPRC', 'Digite o texto a procurar');
    msgbaixo ('BVPRCFRE', 'Deste ponto para a frente');
    sintetiza (textoBuscado);
    begin
    c := sintEdita (textoBuscado, wherex, wherey, 255, true);
    textoBuscado := maiuscAnsi (textoBuscado);
    writeln;
sintclek;

    if textoBuscado = '' then
    textoBuscado := textoAProcurar;
            strPCopy (sz, textoBuscado);
            writePrivateProfileString('EDIVOX', 'TEXTOPROCURADO',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
                exit;
end;

    if textoBuscado = '' then
        begin
textoBuscado := textoAProcurar;
buscadenovo;
//                msgbaixo('BVDESIST', 'Operao cancelada');
            exit;
        end
else

  seek(arquivo,ponteiro +py-1);
  gotoxy(10,8); write('Procurar no livro ou geral ? (L/G) : ');
repeat
  msgbaixo ('BVNOLNOT', 'no livro, ou geral?');
    sintetiza (textoBuscado);
    resp :=upcase(readkey) until resp In['L', ^L,'G',^G, #$1B];
  If resp = #$1B  Then
    begin
    msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
    exit;
    end;
{  sintcarac(resp);}
  If (resp = 'G') or (resp = ^G)  then Limite := tamanhoBiblia
    Else limite := indice[codlivro+1]-2;

  while filepos(arquivo)< limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo('BVBIP', 'Bip');
{                    Sintsom('BVTXTENC');}
  sintsom('BVOK');
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := x;
    atualizaporindice;
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=x;
gravaprocura;
                    exit;
                end;
        end;

                msgbaixo('BVBIP', 'Bip');
    msgbaixo('BVTXNENC','Texto no encontrado');
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=1;
exit;
end;
end;

{-----------------------------}

Procedure buscaDeNovoBG;
var  x: byte;
    textoAProcurar: string;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado:= textoAProcurar;

sintclek;
  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Procurar no livro ou geral ? (L/G) : ');
repeat
  msgbaixo ('BVNOLNOT', 'no livro, ou geral?');
    sintetiza (textoBuscado);
    resp :=upcase(readkey) until resp In['L',^L,'G',^G, #$1B];
  If resp = #$1B  then
    begin
    msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
    exit;
    end;
  If resp='G'  Then limite := tamanhobiblia
    else limite := indice[codlivro+1]-2;
{  sintcarac(resp);}
    while filepos(arquivo)<limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo('BVBIP', 'Bip');
{                    sintsom('BVTXTENC');}
  sintsom('BVOK');
                    ponteiro := filepos(arquivo)-1;
                    px := x;py:=1;
        atualizaporindice;
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=x;
gravaprocura;
                    exit;
                end;
        end;

                msgbaixo('BVBIP', 'Bip');
    msgbaixo('BVTXNENC','Texto no encontrado');
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
end;

{-----------------------------}

Procedure buscaPalavra;
var x : byte;
    textoAProcurar: string;
    c: char;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado := textoAProcurar;

  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Qual o texto a procurar : ');
    msgbaixo ('BVTXTPRC', 'Digite o texto a procurar');
    msgbaixo ('BVPRCINI', ' desde o incio da Bblia');
    sintetiza (textoBuscado);
    begin
    c := sintEdita (textoBuscado, wherex, wherey, 255, true);
    textoBuscado := maiuscAnsi (textoBuscado);
    writeln;
sintclek;

    if textoBuscado = '' then
    textoBuscado := textoAProcurar;
            strPCopy (sz, textoBuscado);
            writePrivateProfileString('EDIVOX', 'TEXTOPROCURADO',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
                exit;
end;

    if textoBuscado = '' then
        begin
textoBuscado := textoAProcurar;
buscadenovo;
//                msgbaixo('BVDESIST', 'Operao cancelada');
            exit;
        end
else

ponteiro:=3;

  seek(arquivo,ponteiro +py-1);
Limite := tamanhoBiblia;

  while filepos(arquivo)< limite  Do
        begin
            read(arquivo, linhateste);
    if textoBuscado = ' ' then
            linhateste:=maiuscansi (linhateste)
            else
            linhateste:=maiuscansi (linhateste) + ' ';
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo ('BVBIP', 'Bip');
{                    msgbaixo ('BVTXTENC', 'Texto encontrado');}
  msgbaixo ('BVOK', 'Ok');
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := x;
    atualizaporindice;
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('BIBLIVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=x;
gravaprocura;
                    exit;
                end;
        end;

                msgbaixo('BVBIP', 'Bip');
    msgbaixo('BVTXNENC','Texto no encontrado');
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=1;
exit;
end;
end;

{-----------------------------}

Procedure buscaCadeia;
var x : byte;
    textoAProcurar: string;
    c: char;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado := textoAProcurar;

  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Qual o texto a procurar : ');
    msgbaixo ('BVTXTPRC', 'Digite o texto a procurar?');
    sintetiza (textoBuscado);
    begin
    c := sintEdita (textoBuscado, wherex, wherey, 255, true);
    textoBuscado := maiuscAnsi (textoBuscado);
    writeln;
sintclek;

    if textoBuscado = '' then
    textoBuscado := textoAProcurar;
            strPCopy (sz, textoBuscado);
            writePrivateProfileString('EDIVOX', 'TEXTOPROCURADO',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo ('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
                exit;
end;

    if textoBuscado = '' then
        begin
textoBuscado := textoAProcurar;
buscadenovo;
//                msgbaixo ('BVDESIST', 'Operao cancelada');
            exit;
        end
else

  seek(arquivo,ponteiro +py-1);
Limite := TamanhoInfo;

  while filepos(arquivo)< limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo ('BVBIP', 'Bip');
{                    msgbaixo ('BVTXTENC', 'Texto encontrado');}
  msgbaixo ('BVOK', 'Ok');
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
                    px := x;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=x;
                    exit;
                end;
        end;

                msgbaixo ('BVBIP', 'Bip');
    msgbaixo ('BVTXNENC','Texto no encontrado');
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
                    px :=1;
exit;
end;
end;

{-----------------------------}

Procedure buscaDeNovo;
var  x: byte;
    textoAProcurar: string;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado:= textoAProcurar;

            x := pos (' ', textoBuscado);
            if x = 0 then
            textoBuscado := (' ' + textoBuscado + ' ');

sintclek;
limite := tamanhobiblia;
    while filepos(arquivo)<limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo('BVBIP', 'Bip');
{                    sintsom('BVTXTENC');}
  sintsom('BVOK');
                    ponteiro := filepos(arquivo)-1;
                    px := x;py:=1;
        atualizaporindice;
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=x;
gravaprocura;
                    exit;
                end;
        end;

                msgbaixo('BVBIP', 'Bip');
    msgbaixo('BVTXNENC','Texto no encontrado');
falalivroatual1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
end;

{-----------------------------}

Procedure buscaNovamente;
var  x: byte;
    textoAProcurar: string;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado:= textoAProcurar;

            x := pos (' ', textoBuscado);
            if x = 0 then
            textoBuscado := (' ' + textoBuscado + ' ');

sintclek;
limite := TamanhoInfo;
    while filepos(arquivo)<limite  Do
        begin
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
                begin
                msgbaixo ('BVBIP', 'Bip');
{                    msgbaixo ('BVTXTENC', 'Texto encontrado');}
  msgbaixo ('BVOK', 'Ok');
                    ponteiro := filepos(arquivo)-1;
                    px := x;py:=1;
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=x;
                    exit;
                end;
        end;

                msgbaixo ('BVBIP', 'Bip');
    msgbaixo ('BVTXNENC','Texto no encontrado');
                  letrecho;
if primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'S' then
falaLinha (true)
else
                        sintetiza (texto [py]);
px:=1;
end;

begin
    textoBuscado := '';
end.
