{    Programa de Consulta  Biblia             }
{    Autor:  Marcelo Luis Pimentel Pinheiro    }
{    Rio de Janeiro, 18 de fevereiro de 1995    }

Program BibliaVox;

Uses DVCRT, dvHora, WinDOWS, DVWin, dvform, sysUtils,
    Leitura, Catvars, Catfun, Catfunc, Catsom, Catbusca, Catler, Catbloco, catsint;

Procedure Escrevetela;
begin
  textbackground(BLACK);
  textcolor (White);
  Clrscr;
  MolduraTela;
  gotoxy(26,2);
  write( 'BBLIAS SAGRADAS CATLICAS - ELETRNICAS');
  gotoxy(29, 3);
  write ('Verso DOSVOX 4.5 - 2013');
  gotoxy(6, 4);
  Write(' Autores: Glauco Frius Constantino de Oliveira  - e-mail: glaucofc@intervox.nce.ufrj.br');
  gotoxy(6, 5);
  write('           Marcelo Lus Pimentel - e-mail: marcelo@intervox.nce.ufrj.br');
end;

{-----------------------------}

Procedure ajuda1;
begin
  limpabaixo;
  gotoxy(20, 8);
  write ('Ajuda das opes principais do Catolvox:');
  gotoxy(10, 11); write('Opo P: para voc encontrar as passagens, voc');
  gotoxy(10, 12); write('  ter que j saber qual o livro, captulo e versculo');
  gotoxy(10, 13); write('  desejados para ler, sendo o versculo opcional.');
  gotoxy(10, 15); write('Opo L: para voc abrir a Bblia logo no incio.');
  gotoxy(10, 17); write('Opo M: para voc que j colocou marcadores na sua Bblia');
  gotoxy(10, 19); write('Opo I: para conhecer algumas informaes sobre a Bblia.');
  gotoxy(10, 21); write('Opo F1 ou H: mostra um pequeno texto de ajuda.');
  msgbaixo ('bvajuda', 'Os tipos de consultas so: ' +
'P- Procurar por passagem; ' +
'T- Procurar por texto; ' +
'M- Selecionar marcas de livros; ' +
'L- Leitura desde o incio da Bblia; ' +
'I- Informaes sobre a Bblia');
  gotoxy(21,24);  write('Qual o tipo de consulta?');
{  repeat until readkey=#27;}
end;

{-----------------------------}

function txtmsg (f: string): string;
begin
    if f = 'BVCFVEL'  then txtmsg := 'Use as setas para selecionar.'
    else
    if f = 'BVVELC'   then txtmsg := 'Velocidade: '
    else
    if f = 'BVFALPON' then txtmsg := 'Falar pontuao: '
    else
    if f = 'BVBIBINI' then txtmsg := 'Bblia de abertura: '
    else
    if f = 'BVCOMSAP' then txtmsg := 'Com SAPI: '
    else
    if f = 'BVNUMSAP' then txtmsg := 'Nmero SAPI: '
    else
    if f = 'BVVEL'    then txtmsg := 'Velocidade SAPI: '
    else
    if f = 'BVTOM'    then txtmsg := 'Tonalidade SAPI: '
    else
    ;
end;

{-----------------------------}

function primeiraLetra (s: string): char;
begin
    s := trim (s);
    delete (s, 2, 999);
    if s = '' then primeiraLetra := ' '
              else primeiraLetra := upcase (s[1]);
end;

{-----------------------------}

procedure trocaVoz (tipo: string);
var
    tipoSapi, numVoz: integer;
    s: string;
begin
    s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if (s = '') or (s = '0') then
        s := sintAmbiente ('TRADUTOR', 'VELOCIDADE');
    if s = '' then
        velGeral := 0
    else
        val (s, velGeral, erro);
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
    s := sintAmbiente ('CATOLVOX', 'VELOCIDADESAPI');
confVeloc := strToInt (s);
    s := sintAmbiente ('CATOLVOX', 'TONALIDADESAPI');
confTonal := strToInt (s);
    obtemVoz (tipo, confTipoSapi, confNum);
    case confTipoSapi of
    3: sintReinic (velGeral, true, 3, confNum, confVeloc, confTonal);
    4: sintReinic (velGeral, true, 4, confNum, confVeloc, confTonal);
    5: sintReinic (velGeral, true, 5, confNum, confVeloc, confTonal);
    end;
end;

{-----------------------------}

procedure formConfig;
var confPontuacao, confBib, confGra, confDirGra,
    confSapi: shortString;
    parm: array [0..255] of char;
    i: integer;
    s, s1: string;
begin

    //Recuperando informaes do DOSVOX.INI

    val (sintAmbiente('CATOLVOX', 'VELOCIDADE'), velGeral, erro);
    if erro <> 0 then velGeral := 0;
    confPontuacao  := (sintAmbiente('CATOLVOX', 'FALARPONTUACAO'));
    confBib := (sintAmbiente('CATOLVOX', 'BIBABERT'));
    confGra  := (sintAmbiente('CATOLVOX', 'GRAVAPROCURA'));
    confDirGra  := (sintAmbiente('CATOLVOX', 'DIRGRAVA'));

    confSapi       := (sintAmbiente('CATOLVOX', 'SAPIATIVADO'));

    val (sintAmbiente('CATOLVOX', 'TIPOSAPI'), confTipoSapi, erro);
    if erro <> 0 then val (sintAmbiente('SERVFALA', 'TIPOSAPI'), confTipoSapi, erro);
    if erro <> 0 then confTipoSapi := 5;

    val (sintAmbiente('CATOLVOX', 'NUMEROSAPI'), confNum, erro);
    if erro <> 0 then confNum:= 1;

    val (sintAmbiente('CATOLVOX', 'VELOCIDADESAPI'), confVeloc, erro);
    if erro <> 0 then confVeloc:= 0;
    val (sintAmbiente('CATOLVOX', 'TONALIDADESAPI'), confTonal, erro);
    if erro <> 0 then confTonal:= 0;

    // Apresentando o formulrio

    textBackground (BLUE);
    writeln;
    msgbaixo ('BVPAICON', 'Painel de configurao');
    sintBip; sintBip;
    textBackground (BLACK);
    for i := 10 to 25 do
        begin
             gotoxy (1, i);  clreol;
        end;
    gotoxy (1, 10);

    formCria;
    formCampoInt ('BVVELC',   txtmsg('BVVELC')   {'Velocidade: '},         velGeral); {''}
    formCampo    ('BVFALPON', txtmsg('BVFALPON') {'Falar pontuao: '},    confPontuacao, 4); {''}
    formCampo    ('BVBIBINI', txtmsg('BVBIBINI') {'Bblia de abertura: '}, confBib, 4); {''}
    formCampo    ('BVGRAPRO', txtmsg('BVGRAPRO') {'Grava procura? '},    confGra, 4); {''}
    formCampo    ('BVDIRGRA', txtmsg('BVDIRGRA') {'Diretrio para gravar as procuras: '},    confDirGra, 80); {''}
    formCampo    ('BVCOMSAP', txtmsg('BVCOMSAP') {'Com SAPI: '},           confSapi, 4); {''}
    formCampoInt ('BVTIPSAP', txtmsg('BVTIPSAP') {'Tipo SAPI (3, 4 ou 5): '}, confTipoSapi); {''}
    formCampoInt ('BVNUMSAP', txtmsg('BVNUMSAP') {'Nmero SAPI: '},        confNum); {''}
    formCampoInt ('BVVEL',    txtmsg('BVVEL')    {'Velocidade SAPI: '},    confVeloc); {''}
    formCampoInt ('BVTOM',    txtmsg('BVTOM')    {'Tonalidade SAPI: '},    confTonal); {''}
    formEdita (true);

    //Efetuando modificaes

    if (velGeral < 0) or (velGeral > 5) then
        velGeral:= 0;

    if (confSapi = MAIUSCANSI('')) and (confSapi <> MAIUSCANSI('SIM')) and (confSapi <> MAIUSCANSI('NO')) and
    (confSapi <> MAIUSCANSI('NAO')) and (confSapi <> MAIUSCANSI('S')) and (confSapi <> MAIUSCANSI('N')) and
    (confSapi = ansiLowerCase('')) and (confSapi <> ansiLowerCase('SIM')) and (confSapi <> ansiLowerCase('NO')) and
    (confSapi <> ansiLowerCase('NAO')) and (confSapi <> ansiLowerCase('S')) and (confSapi <> ansiLowerCase('N')) then
        confSapi := ('NO');

    if (confSapi = MAIUSCANSI('S')) or     (confSapi = ansiLowerCase('S')) then
        confSapi := ('SIM');

    if (confSapi = MAIUSCANSI('NAO')) or (confSapi = MAIUSCANSI('N')) or
    (confSapi = ansiLowerCase('NAO')) or (confSapi = ansiLowerCase('N')) then
        confSapi := ('NO');

    // gravando DOSVOX.INI

    writePrivateProfileString ('CATOLVOX', 'VELOCIDADE', pchar(intToStr(velGeral)), 'DOSVOX.INI');
    strpCopy (parm, maiuscAnsi(confPontuacao));
    writePrivateProfileString ('CATOLVOX', 'FALARPONTUACAO', (parm), 'DOSVOX.INI');
    strpCopy (parm, maiuscAnsi(confBib));
    writePrivateProfileString ('CATOLVOX', 'BIBABERT', (parm), 'DOSVOX.INI');
    strpCopy (parm, maiuscAnsi(confGra));
    writePrivateProfileString ('CATOLVOX', 'GRAVAPROCURA', (parm), 'DOSVOX.INI');
    strpCopy (parm, confDirGra);
    writePrivateProfileString ('CATOLVOX', 'DIRGRAVA', (parm), 'DOSVOX.INI');
    strpCopy (parm, maiuscAnsi(confSapi));
    writePrivateProfileString ('CATOLVOX', 'SAPIATIVADO', (parm), 'DOSVOX.INI');
    writePrivateProfileString ('CATOLVOX', 'TIPOSAPI', pchar(intToStr(confTipoSapi)), 'DOSVOX.INI');
    writePrivateProfileString ('CATOLVOX', 'NUMEROSAPI', pchar(intToStr(confNum)), 'DOSVOX.INI');
    writePrivateProfileString ('CATOLVOX', 'VELOCIDADESAPI', pchar(intToStr(confVeloc)), 'DOSVOX.INI');
    writePrivateProfileString ('CATOLVOX', 'TONALIDADESAPI', pchar(intToStr(confTonal)), 'DOSVOX.INI');

    consisteDirArq;

    msgbaixo ('BVAGUARC', 'Aguarde, configurando');
    sintPara;

    s := sintAmbiente ('CATOLVOX', 'FALARPONTUACAO');
    if s = '' then
    begin
    sintFalaPont := copy (sintAmbiente ('CATOLVOX', 'FALARPONTUACAO'), 1, 1) = 'N';
    end
    else
    sintFalaPont := copy (sintAmbiente ('CATOLVOX', 'FALARPONTUACAO'), 1, 1) <> 'N';
        if sintFalaPont then
begin
  sintFalaPont :=true;
end;

    s := sintAmbiente ('CATOLVOX', 'GRAVAPROCURA');
    if s = '' then
    begin
    gravaAsProcuras := copy (sintAmbiente ('CATOLVOX', 'GRAVAPROCURA'), 1, 1) = 'N';
    end
    else
    gravaAsProcuras := copy (sintAmbiente ('CATOLVOX', 'GRAVAPROCURA'), 1, 1) <> 'N';
        if gravaAsProcuras then
begin
  gravaAsProcuras :=true;
end;

    s := sintAmbiente ('CATOLVOX', 'DIRGRAVA');
    if s = '' then
    begin
    dirGravaProcuras := copy (sintAmbiente ('CATOLVOX', 'DIRGRAVA'), 1, 1) = 'N';
    end
    else
    dirGravaProcuras := copy (sintAmbiente ('CATOLVOX', 'DIRGRAVA'), 1, 1) <> 'N';
        if dirGravaProcuras then
begin
  dirGravaProcuras :=true;
end;

    if confSapi = '' then
        comSapi := primeiraLetra (sintAmbiente ('CATOLVOX', 'SAPIATIVADO')) = 'N'
    else
        comSapi := primeiraLetra (confSapi) = 'S';

    s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if (s = '') or (s = '0') then
        s := sintAmbiente ('TRADUTOR', 'VELOCIDADE');
    if s = '' then
        velGeral := 0
    else
        val (s, velGeral, erro);
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);

    s1 := sintAmbiente ('CATOLVOX', 'BIBATU');
    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
    begin
    if s1 = 'A' then
    trocaVoz ('pt');

    if s1 = 'C' then
    trocaVoz ('pt');

    if s1 = 'E' then
    trocaVoz ('es');

    if s1 = 'F' then
    trocaVoz ('fr');

    if s1 = 'I' then
    trocaVoz ('it');

    if s1 = 'J' then
    trocaVoz ('pt');

    if s1 = 'K' then
    trocaVoz ('en');

    if s1 = 'L' then
    trocaVoz ('de');

    if s1 = 'P' then
    trocaVoz ('pt');

    if s1 = 'S' then
    trocaVoz ('pt');

    if s1 = 'T' then
    trocaVoz ('es');

    if s1 = 'V' then
    trocaVoz ('it');

    end;

    writeln;
        msgbaixo('BVOK', 'Ok');
    sintBip; sintBip; sintBip;
    escreveTela;
end;

{-----------------------------}

Procedure ConfiguraBiblia(arqini: String);
var
    config: Text;
    i, j, erroval:Integer;
    strAux: String;
    sz: array [0..144] of char;
begin
  codlivro :=1; capituloatual :=1;

    dirDados := sintAmbiente ('CATOLVOX', 'DADOSBIB');
    if dirDados = '' then
        begin
            dirDados := 'c:\catolvox';
            strPCopy (sz, dirDados);
            writePrivateProfileString('CATOLVOX', 'DADOSBIB',     sz, 'DOSVOX.INI');
        end;

assign(config, dirDados + '\' + arqini + '\' + arqini + '.ini');
    {$i-} reset(config); {$i+}
If IOResult <> 0  Then
        begin
        msgbaixo('BVNAOCFG', 'No encontrei o arquivo de configurao.');
        halt(1);
        end;

    { comea a ler as configuraes das bblias... }

For i:=0 to 74 Do
    begin
    readln(config, straux);
    j := Pos('=', straux);
    If j > 0 Then
        begin
        nomeLivros^[i] := copy(straux, 1, j - 1);
strAux := CompactaLinha(copy(straux, j + 1, length(straux) - j));
        val(strAux, indice[i], erroval);
        end;
    end;

{ ao final dos livros e indices, vem o tamanho... }
    readln(config, straux);
    j:= Pos('=', straux);
    strAux := copy(straux, j+1, length(straux) - j);
    straux := compactalinha(straux);
    Val(straux, TamanhoBiblia, erroval);

{ l do arquivo o Tamanho do Livro de Apocalipse }
    readln(config, straux);
    j:= Pos('=', straux);
    strAux := copy(straux, j+1, length(straux) - j);
    straux := compactalinha(straux);
    Val(straux, TamanhoApocalipse, erroval);

{ l do arquivo o Inicio do ltimo Captulo da Bblia}
    readln(config, straux);
    j:= Pos('=', straux);
    strAux := copy(straux, j+1, length(straux) - j);
    straux := compactalinha(straux);
    Val(straux, InicioUltimoCapitulo, erroval);

{ l do arquivo o Tamanho do arquivo Info }
    readln(config, straux);
    j:= Pos('=', straux);
    strAux := copy(straux, j+1, length(straux) - j);
    straux := compactalinha(straux);
    Val(straux, TamanhoInfo, erroval);

For i:=1 to 73 Do
    begin
    readln(config, straux);
    j := Pos('=', straux);
    If j > 0 Then
        begin
strAux := CompactaLinha(copy(straux, j + 1, length(straux) - j));
        val(strAux, NumeroCap[i], erroval);
        end;
    end;

  dadosDisco := dirDados + '\' + arqini + '\' + arqini + '.dat';
  dadosLinhas := dirDados + '\' + arqini + '\lin_' + arqini + '.dat';
  DadosInfo := dirDados + '\' + arqini + '\inf_' + arqini + '.dat';

   close(Config);
{$i-} close(quelinha); {$i+}
  assign(quelinha, dadoslinhas);
  {$i-} reset(quelinha);{$i+}
  If IOresult <> 0  Then
//      write(#7, #7);
end;

{-----------------------------}

Procedure FalaVersao;
var s1: string;

begin
    s1 := sintAmbiente ('CATOLVOX', 'BIBATU');
    if s1 = 'A' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_A', 'A - Verso em Portugus - Bblia de Ave Maria');
    end;

    if s1 = 'C' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_C', 'C - Verso em Portugus - Bblia da CNBB)');
    end;

    if s1 = 'E' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_E', 'E - Verso em Espanhol - Bblia de Jerusalm em espanhol');
    end;

    if s1 = 'F' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_F', 'F - Verso em Francs - Bblia de Jerusalm em francs');
    end;

    if s1 = 'I' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_I', 'I - Verso em Italiano - Bblia Sagrada em italiano');
    end;

    if s1 = 'J' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_J', 'J - Verso em Portugus - Bblia de Jerusalm em portugus');
    end;

    if s1 = 'K' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_K', 'K - Verso em Ingls - Bblia de Jerusalm em ingls');
    end;

    if s1 = 'L' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_L', 'L - Verso em Alemo - Bblia em alemo');
    end;

    if s1 = 'P' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_P', 'P - Verso em Portugus - Edio Pastoral');
    end;

    if s1 = 'S' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_S', 'S - Septuaginta e NT grego para estudo com Dicionrio Info');
    end;

    if s1 = 'T' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_T', 'T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)');
    end;

    if s1 = 'V' then
    begin
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 '); msgbaixo ('BVVER_V', 'V - Verso em Latim - Vulgata Latina');
    end;

    end;

{-----------------------------}

Procedure TrocaBiblia;
var
    arqini, s, s1: String;
    retorno:byte;
    sz: array [0..144] of char;

begin
  LimpaBaixo;

  gotoxy(2, 24);
write(barramenu);

(*   gotoxy(20, 11);
  write ('A - Verso em Portugus - Bblia de Ave Maria');
  gotoxy(20, 12);
  write ('C - Verso em Portugus - Bblia da CNBB');
  gotoxy(20, 13);
  write ('E - Verso em Espanhol: Bblia de Jerusalm em espanhol');
  gotoxy(20, 14);
  write ('F - Verso em Francs: Bblia de Jerusalm em francs');
  gotoxy(20, 15);
  write ('I - Verso em Italiano: Bblia Sagrada em italiano');
  gotoxy(20, 16);
  write ('J - Verso em Portugus - Bblia de Jerusalm em portugus');
  gotoxy(20, 17);
  write ('K - Verso em Ingls : Bblia de Jerusalm em ingls');
  gotoxy(20, 18);
  write ('L - Verso em Alemo: Bblia em alemo');
  gotoxy(20, 19);
  write ('P - Verso em Portugus; Edio Pastoral');
  gotoxy(20, 20);
  write ('S - Septuaginta e NT grego para estudo com Dicionrio Info');
  gotoxy(20, 21);
  write ('T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)');
  gotoxy(20, 22);
  write ('V - Verso em Latim - Vulgata Latina');
  gotoxy(2, 8);
  write ('CONSULTAR');
*)

  msgbaixo ('BVQUAVER', 'Escolha a verso e tecle ENTER');

            gotoxy (20, 12);
            popupMenuCria (20, 12, 50, 12, RED);

  popupMenuAdiciona ('BVVER_A', 'A - Verso em Portugus - Bblia de Ave Maria');
  popupMenuAdiciona ('BVVER_C', 'C - Verso em Portugus - Bblia da CNBB');
  popupMenuAdiciona ('BVVER_E', 'E - Verso em Espanhol - Bblia de Jerusalm em espanhol');
  popupMenuAdiciona ('BVVER_F', 'F - Verso em Francs - Bblia de Jerusalm em francs');
  popupMenuAdiciona ('BVVER_I', 'I - Verso em Italiano - Bblia Sagrada em italiano');
  popupMenuAdiciona ('BVVER_J', 'J - Verso em Portugus - Bblia de Jerusalm em portugus');
  popupMenuAdiciona ('BVVER_K', 'K - Verso em Ingls - Bblia de Jerusalm em ingls');
  popupMenuAdiciona ('BVVER_L', 'L - Verso em Alemo - Bblia em alemo');
  popupMenuAdiciona ('BVVER_P', ' P - Verso em Portugus - Edio Pastoral');
  popupMenuAdiciona ('BVVER_S', 'S - Septuaginta e NT grego para estudo com Dicionrio Info');
 popupMenuAdiciona ('BVVER_T', 'T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)');
  popupMenuAdiciona ('BVVER_V', 'V - Verso em Latim - Vulgata Latina');

retorno := popupMenuSeleciona;

case retorno of
1: arqini := 'AVE';
2: arqini := 'CNBB';
3:  arqini := 'JEP';
4:  arqini := 'JFR';
5:  arqini := 'ITA';
6:  arqini := 'JER';
7:  arqini := 'JIN';
8: arqini := 'ALE';
9:  arqini := 'PAS';
10:  arqini := 'SEP';
11:  arqini := 'TLA';
12:  arqini := 'VUL';
Else
msgbaixo('BVDESIST', 'Operao cancelada.');
exit;
END;

    if arqini = 'AVE' then
    begin
    s1 := 'A';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    end;

    if arqini = 'CNBB' then
    begin
    s1 := 'C';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    end;

    if arqini = 'JEP' then
    begin
    s1 := 'E';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('es');
    end;

    if arqini = 'JFR' then
    begin
    s1 := 'F';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('fr');
    end;

    if arqini = 'ITA' then
    begin
    s1 := 'I';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('it');
    end;

    if arqini = 'JER' then
    begin
    s1 := 'J';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    end;

    if arqini = 'JIN' then
    begin
    s1 := 'K';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('en');
    end;

    if arqini = 'ALE' then
    begin
    s1 := 'L';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('de');
    end;

    if (arqini = 'PAS') or (arqini = '') then
    begin
    s1 := 'P';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    end;

    if arqini = 'SEP' then
    begin
    s1 := 'S';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    end;

    if arqini = 'TLA' then
    begin
    s1 := 'T';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('es');
    end;

    if arqini = 'VUL' then
    begin
    s1 := 'V';
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('it');
    end;

    ConfiguraBiblia (arqini);
                msgbaixo('BVOK', 'Ok');

if s1 = 'A' then s1 := 'A - Verso em Portugus - Bblia de Ave Maria';
if s1 = 'C' then s1 := 'C - Verso em Portugus - Bblia da CNBB';
if s1 = 'E' then s1 := 'E - Verso em Espanhol - Bblia de Jerusalm em espanhol';
if s1 = 'F' then s1 := 'F - Verso em Francs - Bblia de Jerusalm em francs';
if s1 = 'I' then s1 := 'I - Verso em Italiano - Bblia Sagrada em italiano';
if s1 = 'J' then s1 := 'J - Verso em Portugus - Bblia de Jerusalm em portugus';
if s1 = 'K' then s1 := 'K - Verso em Ingls - Bblia de Jerusalm em ingls';
if s1 = 'L' then s1 := 'L - Verso em Alemo - Bblia em alemo';
if s1 = 'P' then s1 := 'P - Verso em Portugus - Edio Pastoral';
if s1 = 'S' then s1 := 'S - Septuaginta e NT grego para estudo com Dicionrio Info';
if s1 = 'T' then s1 := 'T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)';
if s1 = 'V' then s1 := 'V - Verso em Latim - Vulgata Latina';

    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
end;

{-----------------------------}

Procedure Inicializa;
var s, s1: string;
     erro, n: integer;
    sz: array [0..144] of char;
    parm: array [0..255] of char;
begin
    s := sintAmbiente ('PROGUTIL', 'UTIL29');
    if s = '' then
    s := '4,C:\Winvox\catolvox.exe,-UTCATOL,Bblia Catlica Eletrnica';
            strPCopy (parm, s);
    writePrivateProfileString ('PROGUTIL', 'UTIL29', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'DIRCATOLVOX');
    if s = '' then
    s := 'C:\catolvox\som';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'DIRCATOLVOX', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'DADOSMARCA');
    if s = '' then
    s := 'C:\catolvox\marcas.dat';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'DADOSMARCA', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'DADOSBIB');
    if s = '' then
    s := 'C:\catolvox';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'DADOSBIB', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if s = '' then
    begin
    s := '0';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'VELOCIDADE', (parm), 'DOSVOX.INI');
        n := 0;
    end
    else
        val (s, n, erro);
   sintInic (n, sintAmbiente ('CATOLVOX', 'DIRCATOLVOX'));

    s := sintAmbiente ('CATOLVOX', 'FALARPONTUACAO');
    if s = '' then
    s := 'NO';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'FALARPONTUACAO', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if s = '' then
    s := 'NO';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'SAPIATIVADO', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'TIPOSAPI');
    if s = '' then
    s := '3';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'TIPOSAPI', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'NUMEROSAPI');
    if s = '' then
    s := '1';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'NUMEROSAPI', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'VELOCIDADESAPI');
    if s = '' then
    s := '0';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'VELOCIDADESAPI', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'TONALIDADESAPI');
    if s = '' then
    s := '0';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'TONALIDADESAPI', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'BIBABERT');
    if s = '' then
    s := 'J';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'BIBABERT', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'BIBATU');
    if s = '' then
    s := 'J';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'BIBATU', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'GRAVAPROCURA');
    if s = '' then
    s := 'NO';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'GRAVAPROCURA', (parm), 'DOSVOX.INI');

    s := sintAmbiente ('CATOLVOX', 'DIRGRAVA');
    if s = '' then
    s := '.';
            strPCopy (parm, s);
    writePrivateProfileString ('CATOLVOX', 'DIRGRAVA', (parm), 'DOSVOX.INI');

  EscreveTela;
  sintteclacorta(true);
  msgbaixo ('BVMSG1', '');
  msgbaixo ('BVMSG2', 'Bblia Eletrnica Vox');
        msgbaixo ('BVVERSAO', 'Verso'); sintWriteLn (' 15.3 ');

    begin
    s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if (s = '') or (s = '0') then
        s := sintAmbiente ('TRADUTOR', 'VELOCIDADE');
    if s = '' then
        velGeral := 0
    else
        val (s, velGeral, erro);
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
    end;

    s := sintAmbiente ('CATOLVOX', 'FALARPONTUACAO');
    if s = '' then
    begin
    sintFalaPont := copy (sintAmbiente ('CATOLVOX', 'FALARPONTUACAO'), 1, 1) = 'N';
    end
    else
    sintFalaPont := copy (sintAmbiente ('CATOLVOX', 'FALARPONTUACAO'), 1, 1) <> 'N';
        if sintFalaPont then
begin
  sintFalaPont :=true;
end;

    s := sintAmbiente ('CATOLVOX', 'GRAVAPROCURA');
    if s = '' then
    begin
    gravaAsProcuras := copy (sintAmbiente ('CATOLVOX', 'GRAVAPROCURA'), 1, 1) = 'N';
    end
    else
    gravaAsProcuras := copy (sintAmbiente ('CATOLVOX', 'GRAVAPROCURA'), 1, 1) <> 'N';
        if gravaAsProcuras then
begin
  gravaAsProcuras :=true;
end;

    s := sintAmbiente ('CATOLVOX', 'DIRGRAVA');
    if s = '' then
    begin
    dirGravaProcuras := copy (sintAmbiente ('CATOLVOX', 'DIRGRAVA'), 1, 1) = 'N';
    end
    else
    dirGravaProcuras := copy (sintAmbiente ('CATOLVOX', 'DIRGRAVA'), 1, 1) <> 'N';
        if dirGravaProcuras then
begin
  dirGravaProcuras :=true;
end;

    dirDados := sintAmbiente ('CATOLVOX', 'DADOSBIB');
    if dirDados = '' then
        begin
            dirDados := 'c:\biblivox';
            strPCopy (sz, dirDados);
            writePrivateProfileString('CATOLVOX', 'DADOSBIB',     sz, 'DOSVOX.INI');
        end;

  DadosMarca := dirDados + '\marcas.dat'; {' + arqini + '\marcas.dat';}
    LeMarcadores;

    comSapi := primeiraLetra (sintAmbiente('CATOLVOX', 'SAPIATIVADO')) = 'S';

    val (sintAmbiente('CATOLVOX', 'TIPOSAPI'), confTipoSapi, erro);
    if erro <> 0 then val (sintAmbiente('SERVFALA', 'TIPOSAPI'), confTipoSapi, erro);
    if erro <> 0 then confTipoSapi := 5;

    val (sintAmbiente('CATOLVOX', 'NUMEROSAPI'), confNum, erro);
    if erro <> 0 then val (sintAmbiente('SERVFALA', 'VOZ'), confNum, erro);
    if erro <> 0 then confNum := 1;

    s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if (s = '') or (s = '0') then
        s := sintAmbiente ('CATOLVOX', 'VELOCIDADE');
    if s = '' then
        velGeral := 0
    else
        val (s, velGeral, erro);
//    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);

    val (sintAmbiente('CATOLVOX', 'VELOCIDADESAPI'), confVeloc, erro);
    if erro <> 0 then confVeloc:= 0;
    val (sintAmbiente('CATOLVOX', 'TONALIDADESAPI'), confTonal, erro);
    if erro <> 0 then confTonal:= 0;

    s := sintAmbiente ('CATOLVOX', 'GRAVAPROCURA');
    if s = '' then
    begin
            s := 'SIM';
            strPCopy (sz, s);
            writePrivateProfileString('CATOLVOX', 'GRAVAPROCURA',     sz, 'DOSVOX.INI');
    end;

    s := sintAmbiente ('CATOLVOX', 'DIRGRAVA');
    if s = '' then
    begin
            s := '.';
            strPCopy (sz, s);
            writePrivateProfileString('CATOLVOX', 'DIRGRAVA',     sz, 'DOSVOX.INI');
    end;

    s1 := sintAmbiente ('CATOLVOX', 'BIBABERT');
    if (s1 = 'R') or (s1 = 'S') or (s1 = 'T') or
    (s1 = 'U') or (s1 = 'V') or (s1 = 'W') or (s1 = 'X') or (s1 = 'Y') or (s1 = 'Z') then
        begin
            s1 := ansiLowerCase (s1);
            sintWriteLn(s1);
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBABERT',     sz, 'DOSVOX.INI');
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
        end;

    if s1 = '' then
        begin
            s1 := 'd';
            sintWriteLn(s1);
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBABERT',     sz, 'DOSVOX.INI');
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
        end;

    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);

    s1 := sintAmbiente ('CATOLVOX', 'BIBABERT');

    if s1 = 'A' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_A', 'A - Verso em Portugus - Bblia de Ave Maria');
    ConfiguraBiblia('AVE');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'A' then s1 := 'A - Verso em Portugus - Bblia de Ave Maria';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'C' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_C', 'C - Verso em Portugus - Bblia da CNBB');
    ConfiguraBiblia('CNBB');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'C' then s1 := 'C - Verso em Portugus - Bblia da CNBB';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'E' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('es');
    msgbaixo ('BVVER_E', 'E - Verso em Espanhol - Bblia de Jerusalm em espanhol');
    ConfiguraBiblia('JEP');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'E' then s1 := 'E - Verso em Espanhol - Bblia de Jerusalm em espanhol';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'F' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('fr');
    msgbaixo ('BVVER_F', 'F - Verso em Francs - Bblia de Jerusalm em francs');
    ConfiguraBiblia('JFR');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'F' then s1 := 'F - Verso em Francs - Bblia de Jerusalm em francs';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'I' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('it');
    msgbaixo ('BVVER_I', 'I - Verso em Italiano - Bblia Sagrada em italiano');
    ConfiguraBiblia('JIN');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'I' then s1 := 'I - Verso em Italiano - Bblia Sagrada em italiano';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'J' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_J', 'J - Verso em Portugus - Bblia de Jerusalm em portugus');
    ConfiguraBiblia('JER');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'J' then s1 := 'J - Verso em Portugus - Bblia de Jerusalm em portugus';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'K' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_K', 'K - Verso em Ingls - Bblia de Jerusalm em ingls');
    ConfiguraBiblia('JIN');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'K' then s1 := 'K - Verso em Ingls - Bblia de Jerusalm em ingls';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'L' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_L', 'L - Verso em Alemo - Bblia em alemo');
    ConfiguraBiblia('ALE');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'L' then s1 := 'L - Verso em Alemo - Bblia em alemo';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'P' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_P', 'P - Verso em Portugus - Edio Pastoral');
    ConfiguraBiblia('PAS');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'P' then s1 := 'P - Verso em Portugus - Edio Pastoral';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'S' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_S', 'S - Septuaginta e NT grego para estudo com Dicionrio Info');
    ConfiguraBiblia('SEP');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'S' then s1 := 'S - Septuaginta e NT grego para estudo com Dicionrio Info';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'T' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('es');
    msgbaixo ('BVVER_T', 'T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)');
    ConfiguraBiblia('TLA');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'T' then s1 := 'T - Verso em Espanhol: Traduccin en lenguaje actual (TLA)';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = 'V' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('it');
    msgbaixo ('BVVER_V', 'V - Verso em Latim - Vulgata Latina');
    ConfiguraBiblia('VUL');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = 'V' then s1 := 'V - Verso em Latim - Vulgata Latina';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end
    else

    if s1 = '' then
    begin
    if (s <> '') and (upcase(s[1]) = 'S') then
    trocaVoz ('pt');
    msgbaixo ('BVVER_P', 'P - Verso em Portugus - Edio Pastoral');
    ConfiguraBiblia('PAS');
            strPCopy (sz, s1);
            writePrivateProfileString('CATOLVOX', 'BIBATU',     sz, 'DOSVOX.INI');
if s1 = '' then s1 := 'P - Verso em Portugus - Edio Pastoral';
    clrscr;
    strPCopy (tituloJan, 'CATOLVOX ' + 'Verso 15.3 ' + s1);
    setWindowText (crtWindow, tituloJan);
    exit;
    end;

end;

Procedure apresenta;
begin
  gotoxy(33, 8);  write('Apresentao:');
  gotoxy(15,11);  write('Programa de consulta a passagens da Bblia');

  gotoxy(12,14);  write(
  'Para adquirir o produto fale com: Glauco Frius Constantino de Oliveira');
  gotoxy(12,15);  write(
  'Atravs do telefone: (0xx21) 2258-6675 - ou baixe em:');
  gotoxy(12,16);  write(
  'https://cld.pt/dl/download/4cc7d681-beef-40e5-9b27-ff525098d100/B%C3%ADblias/catolvox.zip');
  gotoxy(12,17);  write(
  'ou corresponda-se com:');
  gotoxy(12,18);  write(
  'Rua Jorge Yunes, 380, ap 104 - CEP: 22795-295 Rio de Janeiro - RJ');
  gotoxy(12,19);  write(
  'ou atravs do e-mail: <glaucofc@gmail.com>');
  gotoxy(21,24);  write('Qual o tipo de consulta?');
{  repeat until readkey = #13;}
//sintclek;
 end;

Function Finaliza:Char;
begin
  LimpaBaixo;
  gotoxy(2,24);
  write('                Que as palavras aqui lidas iluminem sua vida !               ');
  gotoxy(33, 8); write('Finalizao:');
  gotoxy(20, 11); write('Obrigado por utilizar nossos programas');
  textbackground(red); textcolor(white); highvideo;
  gotoxy(2,13); write(
'            Este produto no deve ser copiado de nenhuma forma!             ');
  gotoxy(2, 14); write(
'         Qualquer cpia ilegal sofrer as medidas cabveis da Lei.          ');
  normvideo; textbackground(blue); textcolor(White);
  gotoxy(5,16); write(
'Caso voc desejar maiores informaes sobre a Bblia, fale conosco.');
  gotoxy(12,17); write(
'Jesus Cristo  o nico caminho para nossa Salvao.');
  gotoxy(15,18); write(
'Atenda ao seu chamado antes que seja tarde !');
  gotoxy(5,19); write(
'Lembre-se: A palavra de Deus  alimento para nossas almas.');
  gotoxy(18, 21); write(
'Que Jesus te abenoe e te guarde.');

  GravaMarcadores;
  close(quelinha);
  finaliza := #255;
  sintteclacorta (true);
  msgbaixo('BVMSGFIM', 'Lembre-se, a Palavra de Deus  alimento para as nossas almas, que o Senhor te abenoe e te guarde!');
  msgbaixo ('BVSOMFIM', 'Msica de fechamento do Catolvox');
delay (3);
  sintFim;
  doneWinCrt;
end;

Procedure PegaOpcao;
var c: char;
    s: string;
begin
  sintteclacorta(true);
repeat
  LimpaBaixo;
  gotoxy(2, 24); write(barramenu);
  gotoxy(20, 11);
  write('L - Leitura corrente da Biblia');
  gotoxy(20, 13);
  write ('P - Procurar por passagem');
  gotoxy(20,15);
  write ('T - Procurar por texto');
  gotoxy(20, 17);
  write ('M - Localizar marcadores de livro');
  gotoxy(20, 19);
  write ('I - Informaes sobre a Bblia');
 gotoxy(20, 21);
  write('F - Finalizar programa');
  gotoxy(2, 8); write(consultar);
  repeat
  msgbaixo ('BVTPCONS', 'Qual o tipo de consulta? ');
    opc :=upcase( readKey);
//    If opc =#0  then lixo :=readkey;
    If (opc in [ENTER, F5, F10..f12]) then opc :=#0;

    If opc =F1  then     Ajuda1;
    If opc =F2  then     LivroSalm;
    If opc =F3  then     LivroProverbi;
    If opc =F4  then     formConfig;
    If opc =F6  then     NovoTestamen;
    If opc =F8  then     FalaHora;
//    If opc =CTLF8  then     FalaDia; {Tecla em conflito com a letra 'e'}
    If (opc =F9) or (opc = 'J') then
                begin
  gotoxy(2,8); write(limpeza);
  gotoxy(10, 8);
  write('Em qual marcador abro ? Use as setas para folhear os marcadores guardados');
  msgbaixo ('BVEMQUAL', 'Em qual marcador abro ? Use as setas para folhear os marcadores guardados');
                    opc := selSetasNumeros;
                begin
  If opc in ['0'..'9'] Then
else
    begin
    msgbaixo ('BVDESIST', 'Operao cancelada');
opc :=#0;
    end;
                end;
    end;

    If opc =INS  then       AntigoTestamen;

    If opc =F7  then      begin
    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
begin
        velGeral := 5;
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
end
else
begin
c := '5';
        begin
            sintFim;
            sintInic (ord(c) - ord('0'), sintambiente ('CATOLVOX', 'DIRCATOLVOX'));
end;
end;
end;
    If opc =CTLF3  then       begin
    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
begin
        velGeral := 4;
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
end
else
begin
c := '4';
        begin
            sintFim;
            sintInic (ord(c) - ord('0'), sintambiente ('CATOLVOX', 'DIRCATOLVOX'));
end;
end;
end;
    If opc =CTLF2  then        begin
    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
begin
        velGeral := 3;
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
end
else
begin
c := '3';
        begin
            sintFim;
            sintInic (ord(c) - ord('0'), sintambiente ('CATOLVOX', 'DIRCATOLVOX'));
end;
end;
end;
    If opc =CTLF1  then        begin
    s := sintAmbiente ('CATOLVOX', 'SAPIATIVADO');
    if (s <> '') and (upcase(s[1]) = 'S') then
begin
        velGeral := 2;
    sintReinic (velGeral, comSapi, confTipoSapi, confNum, confVeloc, confTonal);
end
else
begin
c := '2';
        begin
            sintFim;
            sintInic (ord(c) - ord('0'), sintambiente ('CATOLVOX', 'DIRCATOLVOX'));
end;
end;
end;

  Until opc in [' ', '1', '2', '3', '4', '5', '6', '7', '8', '9', '0', 'O', 'P','I','F','M', ^O, 'L', 'V', ^V, 'T', ^T, 'G', ^G, 'J', '\', ESC, ENTER,
'E', 'Q', 'W', 'H', '?', 'S', 'D',
'N', 'U', 'u', ^U, 'X', 'Y', ^X, '/'];
    Case opc of

      '1', '2', '3', '4', '5', '6', '7', '8', '9', '0':
    begin
    TrocaBiblia;
            Letudo1 (opc);
      end;

      ^G, 'G':
begin
    consisteDirArq;
    gravaAsProcuras := not gravaAsProcuras;
    if gravaAsProcuras then
        msgbaixo ('BVGRAVAN', 'Gravando as procuras')
    else
        msgbaixo ('BVSEMGRA', 'Sem gravar as procuras');
end;

//      'L', ' ': Letudo;
      'L', ' ': abreNaPassagem (opc);

      'V': TrocaBiblia;

      ^V: FalaVersao;

      'O', 'W': begin
        msgbaixo ('BVANTTES', 'Antigo Testamento!');
Letudo;
end;

      'P': ProcuraCapitulo;
      '\': abreNaPassagem (opc);
      'T': ProcuraTexto;
      'U': AntigoTestamen;
      'I': Informacoes;
      'M', ^O: Begin
        assign(arquivo, dadosdisco);
        {$i-}reset(arquivo);{$i+}
        If IOresult <> 0  Then
            msgbaixo ('BVERRODT','Erro grave nos dados do sistema!')
        Else begin
               pontaux :=0;
               ponteiro :=0;
               py :=1; px :=1;
               vaiparamarca;
               If ponteiro > 0  Then
               begin
                  letrecho;
                  processaLeitura;
               end;
             end;
        end;

'S': LivroSalm;

'X', 'Y': LivroProverbi;

// 'Z': trocaIdioma;

'/': FimBib;

'N': NovoTestamen;

'Q': FalaDia;

                    ^X: begin
delay (3);
    SintFim;
    doneWinCrt;
end;

      'F', ESC: opc :=Finaliza;
//      #$1B: opc := #255;
      'A', 'H', '?': Ajuda1;
      Else begin
              msgbaixo ( 'BVOPCINV','Opo errada');
              gotoxy(2,24); write(barramenu);
           end;
    end;
  Until opc = #255;
end;

begin
  Inicializa;
  apresenta;
  {  verificacopia;}
  pegaopcao;
end.
