{    Unidade das funcoes da Biblia    }
{    Autor : Marcelo Luis Pimentel Pinheiro    }
{    Rio de Janeiro, 07 de Abril de 1996}

Unit Catfunc;

Interface

Uses DVCRT, WinDOWS, DVWin, Catsom, sysUtils, dvForm,
    Catvars, Catfun, Leitura, Catler, Catbloco;

Procedure ProcuraCapitulo;
Procedure abreNaPassagem (opc: char);
Procedure procuraTexto;
Procedure Informacoes;
Procedure Letudo;
Procedure Letudo1 (opc: char);
Procedure LivroProverbi;
Procedure LivroSalm;
Procedure fimBib;
Procedure NovoTestamen;
Procedure AntigoTestamen;

Implementation
var
    sz: array [0..144] of char;

Procedure ProcuraCapitulo;
var x : byte;
    nomeLivro: string;
const
    espurios2: set of char = ['0'];
Begin
  Limpabaixo;
  gotoxy(20, 8);
  write ('Procurar passagem :');
  sintsom ('BVPROCAP'); {'Procurar passagem'}
  gotoxy(11,24); write(barraselec);
  gotoxy(10, 11);
  write ('Selecione o livro desejado : ');
  sintsom ('BVSELLIV'); {'Selecione o livro desejado e tecle ENTER'}
  codlivro :=SelecionaLivro(40, 11);
  If codlivro = 0  Then
    begin
    msgbaixo ('BVDESIST', 'Operao cancelada');
    exit;
    end;
  gotoxy(10, 13);
  write('Digite o nmero do captulo : ');
  sintsom('BVDIGCAP');
  capitulo:=Limpa (   leLinha );

    while (capitulo <> '') and (capitulo[1] in espurios2) do
        delete (capitulo, 1, 1);

  If capitulo = ''  Then
    begin
    msgbaixo('BVDESIST', 'Operao cancelada');
    exit;
    end;
    val(capitulo, capituloatual, erro);
  If (capituloatual > Numerocap[codlivro]) or (capitulo = '0') or (capitulo = '00') or (capitulo = '000')  then
    begin
    msgbaixo('BVCAPNAO', 'Captulo no existe');
    exit;
    end;

  gotoxy(10,15);  write('Digite o nmero do versculo : ');
  sintsom('BVDIGVER');
  versiculo := limpa(  leLinha );

    while (versiculo <> '') and (versiculo[1] in espurios2) do
        delete (versiculo, 1, 1);

  If versiculo=''  then versiculo :='1';
 versiculo := ('' + versiculo);
  gotoxy(27, 18);
  textbackground(red);
  textcolor(white+blink);
  write (' ':21,'Abrindo a sua Bblia...');
  textbackground(blue);
  textcolor(White);

  textoprocura := {maiuscansi(limpa(nomelivro^[codlivro]))+ }
         '-CAPITULO-'+capitulo;

  assign(arquivo, dadosDisco);
  {$I-} reset(arquivo); {$I+}
  If IOResult <> 0  Then
    begin
    msgbaixo('BVERRODT', 'Erro grave nos dados do sistema!');
    write(#7);
    delay (10);
    exit;
    end;
  achou := false;
  seek(arquivo, indice[codlivro]);
  While (not achou)and(filepos(arquivo)<indice[codlivro+1])  Do
    begin
    read(arquivo, linhateste);
    achou :=pos(textoprocura,linhateste)>0;{, 1, length(textoprocura));}
end;
  If not achou  Then
    begin
    msgbaixo('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;
ponteiro := filepos(arquivo)-1;

{  If versiculo = '1'  Then inc(ponteiro,3)
    Else begin}
    while length(versiculo)<1  Do versiculo:=' '+versiculo;
    repeat
    read(arquivo, linhateste)
    Until (pos(versiculo, linhateste)>0)or(linhateste=limpeza);
{    end;}
  If linhateste<> limpeza  Then
    begin
    ponteiro:=filepos(arquivo)-1;
    sintsom('BVACHEI');
    end
    Else msgbaixo ('BVSOCAP', 'S encontrei o captulo desejado');

  py:=1;
px :=1;
  textoBuscado := '';
  seek(arquivo,ponteiro +py-1);
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
 px:=2;
atualizaporindice;
letrecho;
                    px :=x;
vy := -1;
gravaprocuraPassagem;
px:=x;
  ProcessaLeitura;

    if codlivro = 1 then nomeLivro :=  'GNESIS ';
    if codlivro = 2 then nomeLivro :=  'XODO ';
    if codlivro = 3 then nomeLivro :=  'LEVTICO ';
    if codlivro = 4 then nomeLivro :=  'NMEROS ';
    if codlivro = 5 then nomeLivro :=  'DEUTERONMIO ';
    if codlivro = 6 then nomeLivro :=  'JOSU ';
    if codlivro = 7 then nomeLivro :=  'JUZES ';
    if codlivro = 8 then nomeLivro :=  'RUTE ';
    if codlivro = 9 then nomeLivro :=  '1 SAMUEL ';
    if codlivro = 10 then nomeLivro :=  '2 SAMUEL ';
    if codlivro = 11 then nomeLivro :=  '1 REIS ';
    if codlivro = 12 then nomeLivro :=  '2 REIS ';
    if codlivro = 13 then nomeLivro :=  '1 CRNICAS ';
    if codlivro = 14 then nomeLivro :=  '2 CRNICAS ';
    if codlivro = 15 then nomeLivro :=  'ESDRAS ';
    if codlivro = 16 then nomeLivro :=  'NEEMIAS ';
    if codlivro = 17 then nomeLivro :=  'TOBIAS ';
    if codlivro = 18 then nomeLivro :=  'JUDITE ';
    if codlivro = 19 then nomeLivro :=  'ESTR ';
    if codlivro = 20 then nomeLivro :=  '1 MACABEUS ';
    if codlivro = 21 then nomeLivro :=  '2 MACABEUS ';
    if codlivro = 22 then nomeLivro :=  'J ';
    if codlivro = 23 then nomeLivro :=  'SALMOS ';
    if codlivro = 24 then nomeLivro :=  'PROVRBIOS ';
    if codlivro = 25 then nomeLivro :=  'ECLESIASTES ';
    if codlivro = 26 then nomeLivro :=  'CNTICO ';
    if codlivro = 27 then nomeLivro :=  'SABEDORIA ';
    if codlivro = 28 then nomeLivro :=  'ECLESISTICO ';
    if codlivro = 29 then nomeLivro :=  'ISAAS ';
    if codlivro = 30 then nomeLivro :=  'JEREMIAS ';
    if codlivro = 31 then nomeLivro :=  'LAMENTAES ';
    if codlivro = 32 then nomeLivro :=  'BARUC ';
    if codlivro = 33 then nomeLivro :=  'EZEQUIEL ';
    if codlivro = 34 then nomeLivro :=  'DANIEL ';
    if codlivro = 35 then nomeLivro :=  'OSIAS ';
    if codlivro = 36 then nomeLivro :=  'JOEL ';
    if codlivro = 37 then nomeLivro :=  'AMS ';
    if codlivro = 38 then nomeLivro :=  'ABDIAS ';
    if codlivro = 39 then nomeLivro :=  'JONAS ';
    if codlivro = 40 then nomeLivro :=  'MIQUIAS ';
    if codlivro = 41 then nomeLivro :=  'NAUM ';
    if codlivro = 42 then nomeLivro :=  'HABACUC ';
    if codlivro = 43 then nomeLivro :=  'SOFONIAS ';
    if codlivro = 44 then nomeLivro :=  'AGEU ';
    if codlivro = 45 then nomeLivro :=  'ZACARIAS ';
    if codlivro = 46 then nomeLivro :=  'MALAQUIAS ';
    if codlivro = 47 then nomeLivro :=  'MATEUS ';
    if codlivro = 48 then nomeLivro :=  'MARCOS ';
    if codlivro = 49 then nomeLivro :=  'LUCAS ';
    if codlivro = 50 then nomeLivro :=  'JOO ';
    if codlivro = 51 then nomeLivro :=  'ATOS ';
    if codlivro = 52 then nomeLivro :=  'ROMANOS ';
    if codlivro = 53 then nomeLivro :=  '1 CORNTIOS ';
    if codlivro = 54 then nomeLivro :=  '2 CORNTIOS ';
    if codlivro = 55 then nomeLivro :=  'GLATAS ';
    if codlivro = 56 then nomeLivro :=  'EFSIOS ';
    if codlivro = 57 then nomeLivro :=  'FILIPENSES ';
    if codlivro = 58 then nomeLivro :=  'COLOSSENSES ';
    if codlivro = 59 then nomeLivro :=  '1 TESSALONICENSES ';
    if codlivro = 60 then nomeLivro :=  '2 TESSALONICENSES ';
    if codlivro = 61 then nomeLivro :=  '1 TIMTEO ';
    if codlivro = 62 then nomeLivro :=  '2 TIMTEO ';
    if codlivro = 63 then nomeLivro :=  'TITO ';
    if codlivro = 64 then nomeLivro :=  'FILEMON ';
    if codlivro = 65 then nomeLivro :=  'HEBREUS ';
    if codlivro = 66 then nomeLivro :=  'TIAGO ';
    if codlivro = 67 then nomeLivro :=  '1 PEDRO ';
    if codlivro = 68 then nomeLivro :=  '2 PEDRO ';
    if codlivro = 69 then nomeLivro :=  '1 JOO ';
    if codlivro = 70 then nomeLivro :=  '2 JOO ';
    if codlivro = 71 then nomeLivro :=  '3 JOO ';
    if codlivro = 72 then nomeLivro :=  'JUDAS ';
    if codlivro = 73 then nomeLivro :=  'APOCALIPSE ';

    passagem := (nomeLivro + capitulo + ':' + versiculo);
            strPCopy (sz, passagem);
            writePrivateProfileString('CATOLVOX', 'PASSAGEMPROCURADA',     sz, 'DOSVOX.INI');
            writePrivateProfileString('BIBLIVOX', 'PASSAGEMPROCURADA',     sz, 'DOSVOX.INI');

end;

{-----------------------------}

Procedure abreNaPassagem (opc: char);
var x : byte;
    passagemAProcurar: string;
    c: char;
    k: integer;
const
    espurios: set of char = ['.', ':', ',', ';', '<', '>', '"', '(', ')', '{', '}', '[', ']', '-', '=', '_', '*', '!', '?', '/', '|', '\', '#', '&', '^', '~', '', '', '''', '`'];
    espurios2: set of char = ['0'];

label denovo, adiante;
Begin

denovo:
if (opc = 'L') or (opc = ' ') then
begin
    passagemAProcurar:= sintAmbiente ('CATOLVOX', '10');
    if passagemAProcurar = '' then
begin
            strPCopy (sz, 'GNESIS 1:1');
            writePrivateProfileString('CATOLVOX', '10',     sz, 'DOSVOX.INI')
end;
end

else
    passagemAProcurar:= sintAmbiente ('CATOLVOX', 'PASSAGEMPROCURADA');
    if passagemAProcurar= '' then
        begin
            passagemAProcurar:= '';
        end;

    passagem := passagemAProcurar;
if (opc = 'L') or (opc = ' ') then
goto adiante
else
  Limpabaixo;
  gotoxy(10, 8);
  write ('Digite a passagem; use as setas para folhear as dez ltimas digitadas');
  msgbaixo ('BVDIGPAS', 'Digite a passagem; use as setas para folhear as dez ltimas digitadas');
    sintetiza (passagem);
    begin
  textbackground(red);
  gotoxy(10, 8);
  write ('Digite a passagem; use as setas para folhear as dez ltimas digitadas');
    c := pegaUltimosComandos (passagem, 'BIBLIVOX', 'PP');
    passagem := maiuscAnsi (passagem);
  textcolor(white+blink);
    writeln;
  textbackground(blue);
sintclek;

    if passagem = '' then
    passagem := passagemAProcurar;
            strPCopy (sz, passagem);
            writePrivateProfileString('CATOLVOX', 'PASSAGEMPROCURADA',     sz, 'DOSVOX.INI');
            writePrivateProfileString('BIBLIVOX', 'PASSAGEMPROCURADA',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo ('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                exit;
end;
end;

adiante:
    while (passagem <> '') and (passagem[1] in espurios) do
        delete (passagem, 1, 1);
    while (passagem<> '') and (passagem[length(passagem)] in espurios) do
        delete (passagem, length(passagem), 1);

            if ((copy (passagem, 1, 3)) = 'GN.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = '1 CR.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = '2 CR.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'DT.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 4)) = 'ESD.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 3)) = 'EX.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'EZ.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'IS.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'JER.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'JN.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'JOS.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = 'JUE.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = 'HCH.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'LC.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'LV.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MC.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MI.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MR.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MT.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'NEH.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'NM.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'RM.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'SAL.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 4)) = '2 S.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '2 R.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '2 P.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '1 R.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '1 S.') then
        delete (passagem, 4, 1);

            if ((copy (passagem, 1, 3)) = 'GN.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = '1 CR.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = '2 CR.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'DT.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 4)) = 'ESD.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 3)) = 'EX.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'EZ.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'IS.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'JER.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'JN.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'JOS.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = 'JUE.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 5)) = 'HCH.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'LC.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'LV.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MC.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MI.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MR.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'MT.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'NEH.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 3)) = 'NM.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 3)) = 'RM.') then
        delete (passagem, 3, 1);
            if ((copy (passagem, 1, 5)) = 'SAL.') then
        delete (passagem, 5, 1);
            if ((copy (passagem, 1, 4)) = '2 S.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '2 R.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '2 P.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '1 R.') then
        delete (passagem, 4, 1);
            if ((copy (passagem, 1, 4)) = '1 S.') then
        delete (passagem, 4, 1);

            if ((copy (passagem, 1, 2)) = 'GN') or
            ((copy (passagem, 1, 9)) = 'BEREISHIT') or
            ((copy (passagem, 1, 6)) = 'GENSE') or
            ((copy (passagem, 1, 6)) = 'GENESI') or
            ((copy (passagem, 1, 7)) = 'GEREMIA') or
            ((copy (passagem, 1, 3)) = 'GEN') or
            ((copy (passagem, 1, 7)) = 'GENESIS') or
            ((copy (passagem, 1, 7)) = 'GNESIS') or
            ((copy (passagem, 1, 7)) = 'GNESIS') then
  codlivro := (1)
else

            if ((copy (passagem, 1, 2)) = 'EX') or
            ((copy (passagem, 1, 5)) = 'ESODO') or
            ((copy (passagem, 1, 5)) = 'EXODE') or
            ((copy (passagem, 1, 6)) = 'EXODUS') or
            ((copy (passagem, 1, 5)) = 'SHMOT') or
            ((copy (passagem, 1, 3)) = 'EXO') or
            ((copy (passagem, 1, 5)) = 'EXODO') or
            ((copy (passagem, 1, 5)) = 'XODO') or
            ((copy (passagem, 1, 5)) = 'XODO') then
  codlivro := (2)
else

            if ((copy (passagem, 1, 8)) = 'LV') or
            ((copy (passagem, 1, 9)) = 'LEVITICUS') or
            ((copy (passagem, 1, 9)) = 'LEVITIKUS') or
            ((copy (passagem, 1, 9)) = 'LVITIQUE') or
            ((copy (passagem, 1, 7)) = 'VAYIKRA') or
            ((copy (passagem, 1, 3)) = 'LEV') or
            ((copy (passagem, 1, 8)) = 'LEVITICO') or
            ((copy (passagem, 1, 8)) = 'LEVTICO') then
  codlivro := (3)
else

            if ((copy (passagem, 1, 2)) = 'NM') or
            ((copy (passagem, 1, 8)) = 'BAMIDBAR') or
            ((copy (passagem, 1, 7)) = 'NOMBRES') or
            ((copy (passagem, 1, 7)) = 'NUMBERS') or
            ((copy (passagem, 1, 6)) = 'NUMERI') or
            ((copy (passagem, 1, 3)) = 'NUM') or
            ((copy (passagem, 1, 7)) = 'NUMEROS') or
            ((copy (passagem, 1, 7)) = 'NMEROS') then
  codlivro := (4)
else

            if ((copy (passagem, 1, 2)) = 'DT') or
            ((copy (passagem, 1, 11)) = 'DEUTRONOME') or
            ((copy (passagem, 1, 12)) = 'DEUTERONOMII') or
            ((copy (passagem, 1, 13)) = 'DEUTERONOMIUM') or
            ((copy (passagem, 1, 11)) = 'DEUTERONOMY') or
            ((copy (passagem, 1, 7)) = 'DEVARIm') or
            ((copy (passagem, 1, 3)) = 'DEU') or
            ((copy (passagem, 1, 12)) = 'DEUTERONOMIO') or
            ((copy (passagem, 1, 12)) = 'DEUTERONMIO') then
  codlivro := (5)
else

            if ((copy (passagem, 1, 2)) = 'JS') or
            ((copy (passagem, 1, 6)) = 'GIOSU') or
            ((copy (passagem, 1, 5)) = 'IOSUE') or
            ((copy (passagem, 1, 6)) = 'JOSHUA') or
            ((copy (passagem, 1, 5)) = 'JOSUA') or
            ((copy (passagem, 1, 8)) = 'YEHOSHUA') or
            ((copy (passagem, 1, 3)) = 'JOS') or
            ((copy (passagem, 1, 5)) = 'JOSUE') or
            ((copy (passagem, 1, 5)) = 'JOSU') then
  codlivro := (6)
else

            if ((copy (passagem, 1, 2)) = 'JZ') or
            ((copy (passagem, 1, 11)) = 'DER RICHTER') or
            ((copy (passagem, 1, 7)) = 'GIUDICI') or
            ((copy (passagem, 1, 6)) = 'JUDGES') or
            ((copy (passagem, 1, 6)) = 'JUECES') or
            ((copy (passagem, 1, 5)) = 'JUGES') or
            ((copy (passagem, 1, 7)) = 'RICHTER') or
            ((copy (passagem, 1, 7)) = 'SHOFTIm') or
            ((copy (passagem, 1, 3)) = 'JUZ') or
            ((copy (passagem, 1, 3)) = 'JU') or
            ((copy (passagem, 1, 3)) = 'JUE') or
            ((copy (passagem, 1, 6)) = 'JUIZES') or
            ((copy (passagem, 1, 6)) = 'JUZES') then
  codlivro := (7)
else

            if ((copy (passagem, 1, 2)) = 'RT') or
            ((copy (passagem, 1, 3)) = 'RUT') or
            ((copy (passagem, 1, 4)) = 'RUTE') or
            ((copy (passagem, 1, 4)) = 'RUTH') then
  codlivro := (8)
else

            if ((copy (passagem, 1, 3)) = '1RS') or
            ((copy (passagem, 1, 7)) = '1 KINGS') or
            ((copy (passagem, 1, 4)) = '1 KI') or
            ((copy (passagem, 1, 3)) = '1KI') or
            ((copy (passagem, 1, 9)) = '1 KOENIGE') or
            ((copy (passagem, 1, 8)) = '1 KNIGE') or
            ((copy (passagem, 1, 10)) = '1 MELACHIM') or
            ((copy (passagem, 1, 4)) = '1 RE') or
            ((copy (passagem, 1, 3)) = '1RE') or
            ((copy (passagem, 1, 7)) = '1 REGUM') or
            ((copy (passagem, 1, 7)) = '1 REYES') or
            ((copy (passagem, 1, 6)) = '1 ROIS') or
            ((copy (passagem, 1, 4)) = '1RES') or
            ((copy (passagem, 1, 4)) = '1 RS') or
            ((copy (passagem, 1, 3)) = '1 R') or
            ((copy (passagem, 1, 5)) = '1 RES') or
            ((copy (passagem, 1, 5)) = '1REIS') or
            ((copy (passagem, 1, 6)) = '1 REIS') then
  codlivro := (11)
else

            if ((copy (passagem, 1, 3)) = '2RS') or
            ((copy (passagem, 1, 7)) = '2 KINGS') or
            ((copy (passagem, 1, 4)) = '2 KI') or
            ((copy (passagem, 1, 3)) = '2KI') or
            ((copy (passagem, 1, 9)) = '2 KOENIGE') or
            ((copy (passagem, 1, 8)) = '2 KNIGE') or
            ((copy (passagem, 1, 10)) = '2 MELACHIm') or
            ((copy (passagem, 1, 4)) = '2 RE') or
            ((copy (passagem, 1, 7)) = '2 REGUM') or
            ((copy (passagem, 1, 7)) = '2 REYES') or
            ((copy (passagem, 1, 6)) = '2 ROIS') or
            ((copy (passagem, 1, 4)) = '2RES') or
            ((copy (passagem, 1, 4)) = '2 RS') or
            ((copy (passagem, 1, 3)) = '2 R') or
            ((copy (passagem, 1, 5)) = '2 RES') or
            ((copy (passagem, 1, 5)) = '2REIS') or
            ((copy (passagem, 1, 6)) = '2 REIS') then
  codlivro := (12)
else

            if ((copy (passagem, 1, 3)) = '1CR') or
            ((copy (passagem, 1, 5)) = '1 CHR') or
            ((copy (passagem, 1, 4)) = '1CHR') or
            ((copy (passagem, 1, 12)) = '1 CHRONICLES') or
            ((copy (passagem, 1, 9)) = '1 CHRONIK') or
            ((copy (passagem, 1, 12)) = '1 CHRONIQUES') or
            ((copy (passagem, 1, 10)) = '1 CRONACHE') or
            ((copy (passagem, 1, 10)) = '1 CRNICAS') or
            ((copy (passagem, 1, 16)) = '1 DIVREI-HAYAMIm') or
            ((copy (passagem, 1, 15)) = '1 PARALIPOMENON') or
            ((copy (passagem, 1, 4)) = '1CRO') or
            ((copy (passagem, 1, 4)) = '1 CR') or
            ((copy (passagem, 1, 5)) = '1 CRO') or
            ((copy (passagem, 1, 6)) = '1 CRON') or
            ((copy (passagem, 1, 5)) = '1CRON') or
            ((copy (passagem, 1, 9)) = '1CRONICAS') or
            ((copy (passagem, 1, 10)) = '1 CRONICAS') or
            ((copy (passagem, 1, 9)) = '1CRNICAS') or
            ((copy (passagem, 1, 10)) = '1 CRNICAS') then
  codlivro := (13)
else

            if ((copy (passagem, 1, 3)) = '2CR') or
            ((copy (passagem, 1, 5)) = '1 CHR') or
            ((copy (passagem, 1, 4)) = '1CHR') or
            ((copy (passagem, 1, 12)) = '2 CHRONICLES') or
            ((copy (passagem, 1, 9)) = '2 CHRONIK') or
            ((copy (passagem, 1, 12)) = '2 CHRONIQUES') or
            ((copy (passagem, 1, 10)) = '2 CRONACHE') or
            ((copy (passagem, 1, 10)) = '2 CRNICAS') or
            ((copy (passagem, 1, 16)) = '2 DIVREI-HAYAMIm') or
            ((copy (passagem, 1, 15)) = '2 PARALIPOMENON') or
            ((copy (passagem, 1, 4)) = '2CRO') or
            ((copy (passagem, 1, 4)) = '2 CR') or
            ((copy (passagem, 1, 5)) = '2 CRO') or
            ((copy (passagem, 1, 6)) = '2 CRON') or
            ((copy (passagem, 1, 5)) = '2CRON') or
            ((copy (passagem, 1, 9)) = '2CRONICAS') or
            ((copy (passagem, 1, 10)) = '2 CRONICAS') or
            ((copy (passagem, 1, 9)) = '2CRNICAS') or
            ((copy (passagem, 1, 10)) = '2 CRNICAS') then
  codlivro := (14)
else

            if ((copy (passagem, 1, 2)) = 'ED') or
            ((copy (passagem, 1, 5)) = 'ESDRA') or
            ((copy (passagem, 1, 6)) = 'ESDRAE') or
            ((copy (passagem, 1, 4)) = 'ESRA') or
            ((copy (passagem, 1, 4)) = 'EZRA') or
            ((copy (passagem, 1, 3)) = 'ESD') or
            ((copy (passagem, 1, 6)) = 'ESDRAS') or
            ((copy (passagem, 1, 3)) = 'EZR') or
            ((copy (passagem, 1, 6)) = 'ESDRAZ') then
  codlivro := (15)
else

            if ((copy (passagem, 1, 2)) = 'NE') or
            ((copy (passagem, 1, 8)) = 'NECHEMIA') or
            ((copy (passagem, 1, 6)) = 'NEEMIA') or
            ((copy (passagem, 1, 7)) = 'NEHEMIA') or
            ((copy (passagem, 1, 8)) = 'NEHEMIAE') or
            ((copy (passagem, 1, 8)) = 'NEHEMIAH') or
            ((copy (passagem, 1, 8)) = 'NEHEMAS') or
            ((copy (passagem, 1, 8)) = 'NEHEMIAS') or
            ((copy (passagem, 1, 7)) = 'NHMIE') or
            ((copy (passagem, 1, 3)) = 'NEM') or
            ((copy (passagem, 1, 3)) = 'NEH') or
            ((copy (passagem, 1, 3)) = 'NEE') or
            ((copy (passagem, 1, 7)) = 'NEEMIAS') or
            ((copy (passagem, 1, 7)) = 'NEEMAS') or
            ((copy (passagem, 1, 6)) = 'NEMIAS') then
  codlivro := (16)
else

            if ((copy (passagem, 1, 2)) = 'TB') or
            ((copy (passagem, 1, 6)) = 'THOBIS') or
            ((copy (passagem, 1, 4)) = 'TOBI') or
            ((copy (passagem, 1, 5)) = 'TOBIE') or
            ((copy (passagem, 1, 5)) = 'TOBIT') or
            ((copy (passagem, 1, 3)) = 'TOB') or
            ((copy (passagem, 1, 2)) = 'TO') or
            ((copy (passagem, 1, 6)) = 'TOBIAS') or
            ((copy (passagem, 1, 6)) = 'TOBAS') or
            ((copy (passagem, 1, 6)) = 'TOBIAZ') then
  codlivro := (17)
else

            if ((copy (passagem, 1, 2)) = 'JU') or
            ((copy (passagem, 1, 2)) = 'JT') or
            ((copy (passagem, 1, 8)) = 'GIUDITTA') or
            ((copy (passagem, 1, 7)) = 'IUDICUM') or
            ((copy (passagem, 1, 6)) = 'IUDITH') or
            ((copy (passagem, 1, 4)) = 'JUDE') or
            ((copy (passagem, 1, 5)) = 'JUDIT') or
            ((copy (passagem, 1, 6)) = 'JUDITH') or
            ((copy (passagem, 1, 3)) = 'JDT') or
            ((copy (passagem, 1, 3)) = 'JUT') or
            ((copy (passagem, 1, 6)) = 'JUDITE') then
  codlivro := (18)
else

            if ((copy (passagem, 1, 2)) = 'ET') or
            ((copy (passagem, 1, 13)) = 'ECCLESIASTICO') or
            ((copy (passagem, 1, 12)) = 'JESUS SIRACH') or
            ((copy (passagem, 1, 8)) = 'SIRACIDE') or
            ((copy (passagem, 1, 3)) = 'EST') or
            ((copy (passagem, 1, 5)) = 'ESTER') or
            ((copy (passagem, 1, 5)) = 'ESTR') or
            ((copy (passagem, 1, 6)) = 'ESTHER') or
            ((copy (passagem, 1, 6)) = 'ESTHR') then
  codlivro := (19)
else

            if ((copy (passagem, 1, 3)) = '1MC') or
            ((copy (passagem, 1, 9)) = '1 MACABEO') or
            ((copy (passagem, 1, 14)) = '1 MACCABAEORUM') or
            ((copy (passagem, 1, 11)) = '1 MACCABES') or
            ((copy (passagem, 1, 11)) = '1 MACCABEES') or
            ((copy (passagem, 1, 10)) = '1 MACCABEI') or
            ((copy (passagem, 1, 11)) = '1 MAKKABER') or
            ((copy (passagem, 1, 4)) = '1MCO') or
            ((copy (passagem, 1, 4)) = '1 MC') or
            ((copy (passagem, 1, 3)) = '1 M') or
            ((copy (passagem, 1, 2)) = '1M') or
            ((copy (passagem, 1, 5)) = '1 MCB') or
            ((copy (passagem, 1, 5)) = '1 MAC') or
            ((copy (passagem, 1, 4)) = '1MAC') or
            ((copy (passagem, 1, 9)) = '1MACABEUS') or
            ((copy (passagem, 1, 10)) = '1 MACABEUS') then
  codlivro := (20)
else

            if ((copy (passagem, 1, 3)) = '2MC') or
            ((copy (passagem, 1, 9)) = '2 MACABEO') or
            ((copy (passagem, 1, 14)) = '2 MACCABAEORUM') or
            ((copy (passagem, 1, 11)) = '2 MACCABES') or
            ((copy (passagem, 1, 11)) = '2 MACCABEES') or
            ((copy (passagem, 1, 10)) = '2 MACCABEI') or
            ((copy (passagem, 1, 11)) = '2 MAKKABER') or
            ((copy (passagem, 1, 4)) = '2MCO') or
            ((copy (passagem, 1, 4)) = '2 MC') or
            ((copy (passagem, 1, 3)) = '2 M') or
            ((copy (passagem, 1, 2)) = '2M') or
            ((copy (passagem, 1, 5)) = '2 MCB') or
            ((copy (passagem, 1, 5)) = '2 MAC') or
            ((copy (passagem, 1, 4)) = '2MAC') or
            ((copy (passagem, 1, 9)) = '2MACABEUS') or
            ((copy (passagem, 1, 10)) = '2 MACABEUS') then
  codlivro := (21)
else

            if ((copy (passagem, 1, 2)) = 'J') or
            ((copy (passagem, 1, 4)) = 'HIOB') or
            ((copy (passagem, 1, 4)) = 'IJOB') or
            ((copy (passagem, 1, 3)) = 'IOB') or
            ((copy (passagem, 1, 4)) = 'IYOV') or
            ((copy (passagem, 1, 6)) = 'GIOBBE') or
            ((copy (passagem, 1, 3)) = 'JOB') then
  codlivro := (22)
else

            if ((copy (passagem, 1, 2)) = 'SL') or
            ((copy (passagem, 1, 5)) = 'PSALM') or
            ((copy (passagem, 1, 3)) = 'PSA') or
            ((copy (passagem, 1, 7)) = 'PSALMEN') or
            ((copy (passagem, 1, 9)) = 'PSALMORUM') or
            ((copy (passagem, 1, 6)) = 'PSALMS') or
            ((copy (passagem, 1, 7)) = 'PSAUMES') or
            ((copy (passagem, 1, 5)) = 'SALMI') or
            ((copy (passagem, 1, 8)) = 'TEHILLIm') or
            ((copy (passagem, 1, 3)) = 'SAL') or
            ((copy (passagem, 1, 5)) = 'SAUMO') or
            ((copy (passagem, 1, 5)) = 'SALMO') or
            ((copy (passagem, 1, 6)) = 'SAUMOS') or
            ((copy (passagem, 1, 6)) = 'SALMOS') then
  codlivro := (23)
else

            if ((copy (passagem, 1, 2)) = 'PV') or
            ((copy (passagem, 1, 7)) = 'MISHLEI') or
            ((copy (passagem, 1, 9)) = 'PROVERBES') or
            ((copy (passagem, 1, 8)) = 'PROVERBI') or
            ((copy (passagem, 1, 12)) = 'PROVERBIORUM') or
            ((copy (passagem, 1, 8)) = 'PROVERBS') or
            ((copy (passagem, 1, 62)) = 'SPRICHWRTER') or
            ((copy (passagem, 1, 8)) = 'SPRUECHE') or
            ((copy (passagem, 1, 3)) = 'PRO') or
            ((copy (passagem, 1, 4)) = 'PROV') or
            ((copy (passagem, 1, 2)) = 'PR') or
            ((copy (passagem, 1, 9)) = 'PROVERBIO') or
            ((copy (passagem, 1, 9)) = 'PROVRBIO') or
            ((copy (passagem, 1, 10)) = 'PROVRBIOS') or
            ((copy (passagem, 1, 10)) = 'PROVERBIOS') then
  codlivro := (24)
else

            if ((copy (passagem, 1, 2)) = 'EC') or
            ((copy (passagem, 1, 11)) = 'ECCLSIASTE') or
            ((copy (passagem, 1, 11)) = 'ECCLESIASTE') or
            ((copy (passagem, 1, 12)) = 'ECCLESIASTS') or
            ((copy (passagem, 1, 62)) = 'ECCLESIASTES') or
            ((copy (passagem, 1, 11)) = 'ECLESIASTS') or
            ((copy (passagem, 1, 7)) = 'KOHELET') or
            ((copy (passagem, 1, 8)) = 'PREDIGER') or
            ((copy (passagem, 1, 6)) = 'QOELET') or
            ((copy (passagem, 1, 3)) = 'ECL') or
            ((copy (passagem, 1, 4)) = 'ECCL') or
            ((copy (passagem, 1, 4)) = 'ECLE') or
            ((copy (passagem, 1, 11)) = 'ECLESIASTES') or
            ((copy (passagem, 1, 10)) = 'ECLESIASTE') then
  codlivro := (25)
else

            if ((copy (passagem, 1, 2)) = 'CN') or
            ((copy (passagem, 1, 2)) = 'CT') or
            ((copy (passagem, 1, 18)) = 'CANTICO DE CANTICI') or
            ((copy (passagem, 1, 19)) = 'CANTICO-DEI-CANTICI') or
            ((copy (passagem, 1, 19)) = 'CANTICUM CANTICORUM') or
            ((copy (passagem, 1, 8)) = 'CANTIQUE') or
            ((copy (passagem, 1, 20)) = 'CANTIQUE DES CANTIQU') or
            ((copy (passagem, 1, 8)) = 'HOHELIED') or
            ((copy (passagem, 1, 18)) = 'SHIR-HASHIRIm )Cn)') or
            ((copy (passagem, 1, 15)) = 'SONG OF SOLOMON') or
            ((copy (passagem, 1, 3)) = 'CAN') or
            ((copy (passagem, 1, 4)) = 'CANT') or
            ((copy (passagem, 1, 8)) = 'CANTARES') or
            ((copy (passagem, 1, 12)) = 'S OF SOLOMON') or
            ((copy (passagem, 1, 19)) = 'CANTARES DE SALOMO') or
            ((copy (passagem, 1, 19)) = 'CANTARES DE SALOMAO') or
            ((copy (passagem, 1, 20)) = 'CNTICO DOS CNTICOS') or
            ((copy (passagem, 1, 20)) = 'CANTICO DOS CANTICOS') or
            ((copy (passagem, 1, 20)) = 'CNTICO DOS CANTICOS') or
            ((copy (passagem, 1, 20)) = 'CANTICO DOS CNTICOS') or
            ((copy (passagem, 1, 7)) = 'CANTICO') or
            ((copy (passagem, 1, 8)) = 'CANTICOS') or
            ((copy (passagem, 1, 7)) = 'CNTICO') or
            ((copy (passagem, 1, 8)) = 'CNTICOS') or
            ((copy (passagem, 1, 7)) = 'CNTICO') or
            ((copy (passagem, 1, 8)) = 'CNTICOS') or
            ((copy (passagem, 1, 7)) = 'CANTICO') then
  codlivro := (26)
else

            if ((copy (passagem, 1, 2)) = 'SA') or
            ((copy (passagem, 1, 9)) = 'SABIDURA') or
            ((copy (passagem, 1, 7)) = 'SAGESSE') or
            ((copy (passagem, 1, 10)) = 'SAPIENTIAE') or
            ((copy (passagem, 1, 8)) = 'SAPIENZA') or
            ((copy (passagem, 1, 8)) = 'WEISHEIT') or
            ((copy (passagem, 1, 17)) = 'WISDOM OF SOLOMON') or
            ((copy (passagem, 1, 3)) = 'SAB') or
            ((copy (passagem, 1, 9)) = 'SABEDORIA') then
  codlivro := (27)
else

            if ((copy (passagem, 1, 2)) = 'EL') or
            ((copy (passagem, 1, 14)) = 'ECCLESIASTICUS') or
            ((copy (passagem, 1, 4)) = 'ECLI') or
            ((copy (passagem, 1, 4)) = 'ECLO') or
            ((copy (passagem, 1, 14)) = 'ECCLSIASTIQUE') or
            ((copy (passagem, 1, 3)) = 'ECL') or
            ((copy (passagem, 1, 12)) = 'ECLESIASTICO') or
            ((copy (passagem, 1, 12)) = 'ECLESISTICO') then
  codlivro := (28)
else

            if ((copy (passagem, 1, 2)) = 'IS') or
            ((copy (passagem, 1, 5)) = 'ISAIA') or
            ((copy (passagem, 1, 6)) = 'ISAIAE') or
            ((copy (passagem, 1, 6)) = 'ISAIAH') or
            ((copy (passagem, 1, 5)) = 'ISAE') or
            ((copy (passagem, 1, 6)) = 'JESAJA') or
            ((copy (passagem, 1, 8)) = 'YESHAIYA') or
            ((copy (passagem, 1, 5)) = 'SAE') or
            ((copy (passagem, 1, 2)) = 'IZ') or
            ((copy (passagem, 1, 3)) = 'ISA') or
            ((copy (passagem, 1, 3)) = 'IZA') or
            ((copy (passagem, 1, 6)) = 'ISAIAS') or
            ((copy (passagem, 1, 6)) = 'IZAIAS') or
            ((copy (passagem, 1, 6)) = 'ISAAS') or
            ((copy (passagem, 1, 6)) = 'IZAAS') then
  codlivro := (29)
else

            if ((copy (passagem, 1, 2)) = 'JR') or
            ((copy (passagem, 1, 8)) = 'IEREMIAE') or
            ((copy (passagem, 1, 7)) = 'JEREMIA') or
            ((copy (passagem, 1, 8)) = 'JEREMIAH') or
            ((copy (passagem, 1, 7)) = 'JRMIE') or
            ((copy (passagem, 1, 9)) = 'YERMIYAHU') or
            ((copy (passagem, 1, 2)) = 'JE') or
            ((copy (passagem, 1, 3)) = 'JER') or
            ((copy (passagem, 1, 8)) = 'JEREMIAS') or
            ((copy (passagem, 1, 8)) = 'JEREMAS') or
            ((copy (passagem, 1, 8)) = 'GEREMIAS') or
            ((copy (passagem, 1, 8)) = 'GEREMAS') or
            ((copy (passagem, 1, 3)) = 'GER') then
  codlivro := (30)
else

            if ((copy (passagem, 1, 2)) = 'LM') or
            ((copy (passagem, 1, 5)) = 'EICHA') or
            ((copy (passagem, 1, 11)) = 'KLAGELIEDER') or
            ((copy (passagem, 1, 13)) = 'LAMENTACIONES') or
            ((copy (passagem, 1, 13)) = 'LAMENTATIONES') or
            ((copy (passagem, 1, 12)) = 'LAMENTATIONS') or
            ((copy (passagem, 1, 12)) = 'LAMENTAZIONI') or
            ((copy (passagem, 1, 3)) = 'LAM') or
            ((copy (passagem, 1, 11)) = 'LAMENTACOES') or
            ((copy (passagem, 1, 11)) = 'LAMENTAES') or
            ((copy (passagem, 1, 11)) = 'LAMENTAOES') or
            ((copy (passagem, 1, 11)) = 'LAMENTACES') or
            ((copy (passagem, 1, 10)) = 'LAMENTAO') then
  codlivro := (31)
else

            if ((copy (passagem, 1, 2)) = 'BA') or
            ((copy (passagem, 1, 6)) = 'BARUCH') or
            ((copy (passagem, 1, 3)) = 'BAR') or
            ((copy (passagem, 1, 7)) = 'BARUQUE') or
            ((copy (passagem, 1, 5)) = 'BARUC') then
  codlivro := (32)
else

            if ((copy (passagem, 1, 2)) = 'EZ') or
            ((copy (passagem, 1, 8)) = ' ZCHIEL') or
            ((copy (passagem, 1, 8)) = 'EXEQUIEL') or
            ((copy (passagem, 1, 8)) = 'EZCHIEL') or
            ((copy (passagem, 1, 8)) = 'EZECHIEL') or
            ((copy (passagem, 1, 9)) = 'EZECHIELE') or
            ((copy (passagem, 1, 10)) = 'EZECHIELIS') or
            ((copy (passagem, 1, 7)) = 'EZEKIEL') or
            ((copy (passagem, 1, 8)) = 'HESEKIEL') or
            ((copy (passagem, 1, 9)) = 'YECHEZKEL') or
            ((copy (passagem, 1, 3)) = 'EZE') or
            ((copy (passagem, 1, 3)) = 'EZQ') or
            ((copy (passagem, 1, 8)) = 'EZEQUIEL') then
  codlivro := (33)
else

            if ((copy (passagem, 1, 2)) = 'DN') or
            ((copy (passagem, 1, 7)) = 'DANIELE') or
            ((copy (passagem, 1, 8)) = 'DANIELIS') or
            ((copy (passagem, 1, 3)) = 'DAN') or
            ((copy (passagem, 1, 6)) = 'DANIEL') then
  codlivro := (34)
else

            if ((copy (passagem, 1, 2)) = 'OS') or
            ((copy (passagem, 1, 5)) = 'HOSEA') or
            ((copy (passagem, 1, 7)) = 'HOSHAYA') or
            ((copy (passagem, 1, 4)) = 'OSEA') or
            ((copy (passagem, 1, 4)) = 'OSE') or
            ((copy (passagem, 1, 4)) = 'OSEE') or
            ((copy (passagem, 1, 3)) = 'OSE') or
            ((copy (passagem, 1, 3)) = 'OZE') or
            ((copy (passagem, 1, 6)) = 'OSIAS') or
            ((copy (passagem, 1, 6)) = 'OZIAS') or
            ((copy (passagem, 1, 6)) = 'OSEIAS') or
            ((copy (passagem, 1, 3)) = 'HOS') or
            ((copy (passagem, 1, 6)) = 'OZEIAS') or
            ((copy (passagem, 1, 5)) = 'OSEAS') or
            ((copy (passagem, 1, 5)) = 'OZEAS') or
            ((copy (passagem, 1, 5)) = 'OSAS') or
            ((copy (passagem, 1, 2)) = 'OZAS') then
  codlivro := (35)
else

            if ((copy (passagem, 1, 2)) = 'JL') or
            ((copy (passagem, 1, 6)) = 'GIOELE') or
            ((copy (passagem, 1, 4)) = 'IOEL') or
            ((copy (passagem, 1, 4)) = 'JOL') or
            ((copy (passagem, 1, 4)) = 'YOEL') or
            ((copy (passagem, 1, 3)) = 'JOE') or
            ((copy (passagem, 1, 4)) = 'JOEL') then
  codlivro := (36)
else

            if ((copy (passagem, 1, 2)) = 'AM') or
            ((copy (passagem, 1, 3)) = 'AMO') or
            ((copy (passagem, 1, 4)) = 'AMOS') or
            ((copy (passagem, 1, 4)) = 'AMOZ') or
            ((copy (passagem, 1, 4)) = 'AMZ') or
            ((copy (passagem, 1, 4)) = 'AMS') then
  codlivro := (37)
else

            if ((copy (passagem, 1, 2)) = 'OB') or
            ((copy (passagem, 1, 7)) = 'OBADIAH') or
            ((copy (passagem, 1, 6)) = 'OBADJA') or
            ((copy (passagem, 1, 6)) = 'OVADIA') or
            ((copy (passagem, 1, 3)) = 'OBA') or
            ((copy (passagem, 1, 2)) = 'AB') or
            ((copy (passagem, 1, 3)) = 'ABD') or
            ((copy (passagem, 1, 5)) = 'ABDIA') or
            ((copy (passagem, 1, 6)) = 'ABDIAE') or
            ((copy (passagem, 1, 6)) = 'ABDAS') or
            ((copy (passagem, 1, 6)) = 'ABDIAS') or
            ((copy (passagem, 1, 7)) = 'OBADIAS') or
            ((copy (passagem, 1, 7)) = 'OBADAS') then
  codlivro := (38)
else

            if ((copy (passagem, 1, 2)) = 'JN') or
            ((copy (passagem, 1, 7)) = 'IOANNEM') or
            ((copy (passagem, 1, 5)) = 'IONAE') or
            ((copy (passagem, 1, 4)) = 'JONA') or
            ((copy (passagem, 1, 5)) = 'JONAH') or
            ((copy (passagem, 1, 5)) = 'JONS') or
            ((copy (passagem, 1, 4)) = 'YONA') or
            ((copy (passagem, 1, 3)) = 'JON') or
            ((copy (passagem, 1, 5)) = 'JONAS') or
            ((copy (passagem, 1, 5)) = 'JONAZ') then
  codlivro := (39)
else

            if ((copy (passagem, 1, 2)) = 'MI') or
            ((copy (passagem, 1, 4)) = 'MICA') or
            ((copy (passagem, 1, 5)) = 'MICAH') or
            ((copy (passagem, 1, 5)) = 'MICHA') or
            ((copy (passagem, 1, 8)) = 'MICHAEAE') or
            ((copy (passagem, 1, 6)) = 'MICHEA') or
            ((copy (passagem, 1, 6)) = 'MICHE') or
            ((copy (passagem, 1, 3)) = 'MIQ') or
            ((copy (passagem, 1, 2)) = 'MQ') or
            ((copy (passagem, 1, 8)) = 'MIQUEIAS') or
            ((copy (passagem, 1, 8)) = 'MIQUIAS') or
            ((copy (passagem, 1, 7)) = 'MIQUEAS') or
            ((copy (passagem, 1, 7)) = 'MIQUAS') then
  codlivro := (40)
else

            if ((copy (passagem, 1, 2)) = 'NA') or
            ((copy (passagem, 1, 6)) = 'NACHUm') or
            ((copy (passagem, 1, 3)) = 'NAU') or
            ((copy (passagem, 1, 4)) = 'NAUM') or
            ((copy (passagem, 1, 4)) = 'NAM') or
            ((copy (passagem, 1, 4)) = 'NAUN') or
            ((copy (passagem, 1, 4)) = 'NAN') or
            ((copy (passagem, 1, 5)) = 'NAHUM') or
            ((copy (passagem, 1, 5)) = 'NAHM') or
            ((copy (passagem, 1, 5)) = 'NAHUN') or
            ((copy (passagem, 1, 5)) = 'NAHN') then
  codlivro := (41)
else

            if ((copy (passagem, 1, 2)) = 'HA') or
            ((copy (passagem, 1, 8)) = 'HABAKKUK') or
            ((copy (passagem, 1, 7)) = 'HABAKUK') or
            ((copy (passagem, 1, 7)) = 'HABAQUQ') or
            ((copy (passagem, 1, 3)) = 'HAB') or
            ((copy (passagem, 1, 2)) = 'AB') or
            ((copy (passagem, 1, 7)) = 'HABACUC') or
            ((copy (passagem, 1, 6)) = 'ABACUC') or
            ((copy (passagem, 1, 9)) = 'HABACUQUE') or
            ((copy (passagem, 1, 8)) = 'ABACUQUE') then
  codlivro := (42)
else

            if ((copy (passagem, 1, 2)) = 'SF') or
            ((copy (passagem, 1, 8)) = 'ZEPHANJA') or
            ((copy (passagem, 1, 7)) = 'SOFONIA') or
            ((copy (passagem, 1, 9)) = 'SOPHONIAE') or
            ((copy (passagem, 1, 8)) = 'SOPHONIE') or
            ((copy (passagem, 1, 9)) = 'TZEPHANIA') or
            ((copy (passagem, 1, 7)) = 'ZEFANJA') or
            ((copy (passagem, 1, 9)) = 'ZEPHANIAH') or
            ((copy (passagem, 1, 3)) = 'SOF') or
            ((copy (passagem, 1, 2)) = 'SO') or
            ((copy (passagem, 1, 8)) = 'SOFONAS') or
            ((copy (passagem, 1, 4)) = 'ZEPH') or
            ((copy (passagem, 1, 8)) = 'SOFONIAS') then
  codlivro := (43)
else

            if ((copy (passagem, 1, 2)) = 'AG') or
            ((copy (passagem, 1, 6)) = 'AGGAEI') or
            ((copy (passagem, 1, 5)) = 'AGGE') or
            ((copy (passagem, 1, 5)) = 'AGGE') or
            ((copy (passagem, 1, 5)) = 'AGGEO') or
            ((copy (passagem, 1, 7)) = 'CHAGGAI') or
            ((copy (passagem, 1, 5)) = 'HAGEO') or
            ((copy (passagem, 1, 6)) = 'HAGGAI') or
            ((copy (passagem, 1, 6)) = 'HAGGEO') or
            ((copy (passagem, 1, 3)) = 'AGE') or
            ((copy (passagem, 1, 4)) = 'AGEU') or
            ((copy (passagem, 1, 3)) = 'HAG') then
  codlivro := (44)
else

            if ((copy (passagem, 1, 2)) = 'ZA') or
            ((copy (passagem, 1, 8)) = 'SACHARJA') or
            ((copy (passagem, 1, 8)) = 'ZACCARIA') or
            ((copy (passagem, 1, 9)) = 'ZACHARIAE') or
            ((copy (passagem, 1, 8)) = 'ZACHARIE') or
            ((copy (passagem, 1, 8)) = 'ZECHARIA') or
            ((copy (passagem, 1, 9)) = 'ZECHARIAH') or
            ((copy (passagem, 1, 2)) = 'ZC') or
            ((copy (passagem, 1, 3)) = 'ZAC') or
            ((copy (passagem, 1, 4)) = 'ZECH') or
            ((copy (passagem, 1, 8)) = 'ZACARAS') or
            ((copy (passagem, 1, 9)) = 'ZACHARIAS') or
            ((copy (passagem, 1, 9)) = 'ZACHARAS') or
            ((copy (passagem, 1, 8)) = 'ZACARIAS') then
  codlivro := (45)
else

            if ((copy (passagem, 1, 2)) = 'ML') or
            ((copy (passagem, 1, 7)) = 'MALACHI') or
            ((copy (passagem, 1, 8)) = 'MALACHIA') or
            ((copy (passagem, 1, 9)) = 'MALACHIAE') or
            ((copy (passagem, 1, 8)) = 'MALACHIE') or
            ((copy (passagem, 1, 8)) = 'MALEACHI') or
            ((copy (passagem, 1, 3)) = 'MAL') or
            ((copy (passagem, 1, 9)) = 'MALAQUAS') or
            ((copy (passagem, 1, 2)) = 'MALAQUIAS') then
  codlivro := (46)
else

            if ((copy (passagem, 1, 2)) = 'MT') or
            ((copy (passagem, 1, 4)) = 'MATT') or
            ((copy (passagem, 1, 8)) = 'MAQQAION') or
            ((copy (passagem, 1, 5)) = 'MATEO') or
            ((copy (passagem, 1, 8)) = 'MATQAIOV') or
            ((copy (passagem, 1, 6)) = 'MATTEO') or
            ((copy (passagem, 1, 9)) = 'MATTHAEUM') or
            ((copy (passagem, 1, 9)) = 'MATTHAEUS') or
            ((copy (passagem, 1, 8)) = 'MATTHUS') or
            ((copy (passagem, 1, 7)) = 'MATTHEW') or
            ((copy (passagem, 1, 8)) = 'MATTHIEU') or
            ((copy (passagem, 1, 3)) = 'MAT') or
            ((copy (passagem, 1, 6)) = 'MATEUS') or
            ((copy (passagem, 1, 10)) = 'SO MATEUS') or
            ((copy (passagem, 1, 7)) = 'MATHEUS') then
  codlivro := (47)
else

            if ((copy (passagem, 1, 2)) = 'MC') or
            ((copy (passagem, 1, 4)) = 'MARC') or
            ((copy (passagem, 1, 5)) = 'MARCO') or
            ((copy (passagem, 1, 6)) = 'MARCUM') or
            ((copy (passagem, 1, 4)) = 'MARK') or
            ((copy (passagem, 1, 6)) = 'MARKON') or
            ((copy (passagem, 1, 6)) = 'MARKUS') or
            ((copy (passagem, 1, 3)) = 'MR') or
            ((copy (passagem, 1, 3)) = 'MAR') or
            ((copy (passagem, 1, 6)) = 'MARCOS') or
            ((copy (passagem, 1, 10)) = 'SO MARCOS') or
            ((copy (passagem, 1, 6)) = 'MARCUS') then
  codlivro := (48)
else

            if ((copy (passagem, 1, 2)) = 'LC') or
            ((copy (passagem, 1, 6)) = 'LOUKAN') or
            ((copy (passagem, 1, 3)) = 'LUC') or
            ((copy (passagem, 1, 4)) = 'LUCA') or
            ((copy (passagem, 1, 5)) = 'LUCAM') or
            ((copy (passagem, 1, 5)) = 'LUKAS') or
            ((copy (passagem, 1, 4)) = 'LUKE') or
            ((copy (passagem, 1, 3)) = 'LUC') or
            ((copy (passagem, 1, 4)) = 'LUCA') or
            ((copy (passagem, 1, 5)) = 'LUCAS') or
            ((copy (passagem, 1, 9)) = 'SO LUCAS') then
  codlivro := (49)
else

            if ((copy (passagem, 1, 2)) = 'JO') or
            ((copy (passagem, 1, 5)) = 'GIONA') or
            ((copy (passagem, 1, 8)) = 'GIOVANNI') or
            ((copy (passagem, 1, 7)) = 'IWANNHN') or
            ((copy (passagem, 1, 4)) = 'JEAN') or
            ((copy (passagem, 1, 8)) = 'JOHANNES') or
            ((copy (passagem, 1, 4)) = 'JOHN') or
            ((copy (passagem, 1, 4)) = 'JUAN') or
            ((copy (passagem, 1, 3)) = 'JOA') or
            ((copy (passagem, 1, 4)) = 'JOO') or
            ((copy (passagem, 1, 8)) = 'SO JOO') or
            ((copy (passagem, 1, 4)) = 'JOAO') then
  codlivro := (50)
else

            if ((copy (passagem, 1, 2)) = 'AT') or
            ((copy (passagem, 1, 5)) = 'ACTES') or
            ((copy (passagem, 1, 4)) = 'ACTS') or
            ((copy (passagem, 1, 17)) = 'ACTUS APOSTOLORUM') or
            ((copy (passagem, 1, 17)) = 'APOSTELGESCHICHTE') or
            ((copy (passagem, 1, 4)) = 'ATTI') or
            ((copy (passagem, 1, 19)) = 'ATTI-DEGLI-APOSTOLI') or
            ((copy (passagem, 1, 6)) = 'HECHOS') or
            ((copy (passagem, 1, 17)) = 'PRAXEIS APOSTOLWN') or
            ((copy (passagem, 1, 3)) = 'ATO') or
            ((copy (passagem, 1, 3)) = 'ATS') or
            ((copy (passagem, 1, 3)) = 'ACT') or
            ((copy (passagem, 1, 3)) = 'HCH') or
            ((copy (passagem, 1, 4)) = 'ATOS') or
            ((copy (passagem, 1, 5)) = 'ACTOS') or
            ((copy (passagem, 1, 18)) = 'ATOS DOS APSTOLOS') or
            ((copy (passagem, 1, 18)) = 'ATOS DOS APOSTOLOS') then
  codlivro := (51)
else

            if ((copy (passagem, 1, 2)) = 'RM') or
            ((copy (passagem, 1, 7)) = 'ROEMERS') or
            ((copy (passagem, 1, 7)) = 'ROMAINS') or
            ((copy (passagem, 1, 6)) = 'ROMANI') or
            ((copy (passagem, 1, 6)) = 'ROMANS') or
            ((copy (passagem, 1, 5)) = 'RMER') or
            ((copy (passagem, 1, 8)) = 'RWMAIOUS') or
            ((copy (passagem, 1, 3)) = 'ROM') or
            ((copy (passagem, 1, 7)) = 'ROMANOS') then
  codlivro := (52)
else

            if ((copy (passagem, 1, 3)) = '1CO') or
            ((copy (passagem, 1, 13)) = '1 CORINTHIANS') or
            ((copy (passagem, 1, 13)) = '1 CORINTHIENS') or
            ((copy (passagem, 1, 12)) = '1 CORINTHIOS') or
            ((copy (passagem, 1, 9)) = '1 CORINZI') or
            ((copy (passagem, 1, 12)) = '1 KORINQIOUS') or
            ((copy (passagem, 1, 12)) = '1 KORINQIOUS') or
            ((copy (passagem, 1, 11)) = '1 KORINTHER') or
            ((copy (passagem, 1, 4)) = '1COR') or
            ((copy (passagem, 1, 4)) = '1 CO') or
            ((copy (passagem, 1, 5)) = '1 COR') or
            ((copy (passagem, 1, 10)) = '1CORINTIOS') or
            ((copy (passagem, 1, 10)) = '1CORNTIOS') or
            ((copy (passagem, 1, 11)) = '1 CORNTIOS') or
            ((copy (passagem, 1, 11)) = '1 CORINTIOS') then
  codlivro := (53)
else

            if ((copy (passagem, 1, 3)) = '2CO') or
            ((copy (passagem, 1, 13)) = '2 CORINTHIANS') or
            ((copy (passagem, 1, 13)) = '2 CORINTHIENS') or
            ((copy (passagem, 1, 12)) = '2 CORINTHIOS') or
            ((copy (passagem, 1, 9)) = '2 CORINZI') or
            ((copy (passagem, 1, 12)) = '2 KORINQIOUS') or
            ((copy (passagem, 1, 12)) = '2 KORINQIOUS') or
            ((copy (passagem, 1, 11)) = '2 KORINTHER') or
            ((copy (passagem, 1, 4)) = '2COR') or
            ((copy (passagem, 1, 4)) = '2 CO') or
            ((copy (passagem, 1, 5)) = '2 COR') or
            ((copy (passagem, 1, 10)) = '2CORINTIOS') or
            ((copy (passagem, 1, 10)) = '2CORNTIOS') or
            ((copy (passagem, 1, 11)) = '2 CORNTIOS') or
            ((copy (passagem, 1, 11)) = '2 CORINTIOS') then
  codlivro := (54)
else

            if ((copy (passagem, 1, 2)) = 'GL') or
            ((copy (passagem, 1, 7)) = 'GALATER') or
            ((copy (passagem, 1, 7)) = 'GALATES') or
            ((copy (passagem, 1, 6)) = 'GLATI') or
            ((copy (passagem, 1, 6)) = 'GALATI') or
            ((copy (passagem, 1, 9)) = 'GALATIANS') or
            ((copy (passagem, 1, 3)) = 'GAL') or
            ((copy (passagem, 1, 7)) = 'GLATAS') or
            ((copy (passagem, 1, 7)) = 'GALATAS') then
  codlivro := (55)
else

            if ((copy (passagem, 1, 2)) = 'EF') or
            ((copy (passagem, 1, 7)) = 'EFESINI') or
            ((copy (passagem, 1, 8)) = 'EFESIOUS') or
            ((copy (passagem, 1, 7)) = 'EPHESER') or
            ((copy (passagem, 1, 9)) = 'EPHESIANS') or
            ((copy (passagem, 1, 9)) = 'EPHSIENS') or
            ((copy (passagem, 1, 8)) = 'EPHESIOS') or
            ((copy (passagem, 1, 6)) = 'FESIOS') or
            ((copy (passagem, 1, 9)) = 'PHSIENS') or
            ((copy (passagem, 1, 3)) = 'EFE') or
            ((copy (passagem, 1, 3)) = 'EPH') or
            ((copy (passagem, 1, 7)) = 'EFSIOS') or
            ((copy (passagem, 1, 7)) = 'EFESIOS') then
  codlivro := (56)
else

            if ((copy (passagem, 1, 2)) = 'FP') or
            ((copy (passagem, 1, 9)) = 'FILIPPESI') or
            ((copy (passagem, 1, 12)) = 'FILIPPHSIOUS') or
            ((copy (passagem, 1, 12)) = 'PHILIPPENSES') or
            ((copy (passagem, 1, 9)) = 'PHILIPPER') or
            ((copy (passagem, 1, 11)) = 'PHILIPPIANS') or
            ((copy (passagem, 1, 11)) = 'PHILIPPIENS') or
            ((copy (passagem, 1, 3)) = 'FIP') or
            ((copy (passagem, 1, 3)) = 'PHP') or
            ((copy (passagem, 1, 10)) = 'FILIPENSES') then
  codlivro := (57)
else

            if ((copy (passagem, 1, 2)) = 'CL') or
            ((copy (passagem, 1, 9)) = 'COLOSSESI') or
            ((copy (passagem, 1, 10)) = 'COLOSSIANS') or
            ((copy (passagem, 1, 10)) = 'COLOSSIENS') or
            ((copy (passagem, 1, 10)) = 'KOLOSSAEIS') or
            ((copy (passagem, 1, 8)) = 'KOLOSSER') or
            ((copy (passagem, 1, 3)) = 'COL') or
            ((copy (passagem, 1, 11)) = 'COLOSSENSES') or
            ((copy (passagem, 1, 11)) = 'COLOSSENCES') or
            ((copy (passagem, 1, 10)) = 'COLOSENCES') or
            ((copy (passagem, 1, 10)) = 'COLOSENSES') or
            ((copy (passagem, 1, 10)) = 'COLOCENCES') or
            ((copy (passagem, 1, 10)) = 'COLOCENSES') or
            ((copy (passagem, 1, 11)) = 'COLOSSENSES') then
  codlivro := (58)
else

            if ((copy (passagem, 1, 3)) = '1TS') or
            ((copy (passagem, 1, 4)) = '1 TH') or
            ((copy (passagem, 1, 3)) = '1TH') or
            ((copy (passagem, 1, 15)) = '1 QESSALONIKEIS') or
            ((copy (passagem, 1, 16)) = '1 TESALONICENSES') or
            ((copy (passagem, 1, 15)) = '1 TESSALONICESI') or
            ((copy (passagem, 1, 16)) = '1 THESALONICIENS') or
            ((copy (passagem, 1, 15)) = '1 THESSALONIANS') or
            ((copy (passagem, 1, 18)) = '1 THESSALONICENSES') or
            ((copy (passagem, 1, 16)) = '1 THESSALONICHER') or
            ((copy (passagem, 1, 17)) = '1 THSSALONICIENS') or
            ((copy (passagem, 1, 4)) = '1TES') or
            ((copy (passagem, 1, 4)) = '1 TS') or
            ((copy (passagem, 1, 5)) = '1 TES') or
            ((copy (passagem, 1, 16)) = '1TESSALONICENSES') or
            ((copy (passagem, 1, 16)) = '1TESSALONICENCES') or
            ((copy (passagem, 1, 16)) = '1TESSALONISENCES') or
            ((copy (passagem, 1, 2)) = '1 TESSALONICENSES') or
            ((copy (passagem, 1, 2)) = '1 TESSALONICENCES') or
            ((copy (passagem, 1, 2)) = '1 TESSALONISENCES') then
  codlivro := (59)
else

            if ((copy (passagem, 1, 3)) = '2TS') or
            ((copy (passagem, 1, 4)) = '2 TH') or
            ((copy (passagem, 1, 3)) = '2TH') or
            ((copy (passagem, 1, 15)) = '2 QESSALONIKEIS') or
            ((copy (passagem, 1, 16)) = '2 TESALONICENSES') or
            ((copy (passagem, 1, 15)) = '2 TESSALONICESI') or
            ((copy (passagem, 1, 16)) = '2 THESALONICIENS') or
            ((copy (passagem, 1, 15)) = '2 THESSALONIANS') or
            ((copy (passagem, 1, 18)) = '2 THESSALONICENSES') or
            ((copy (passagem, 1, 16)) = '2 THESSALONICHER') or
            ((copy (passagem, 1, 17)) = '2 THSSALONICIENS') or
            ((copy (passagem, 1, 4)) = '2TES') or
            ((copy (passagem, 1, 4)) = '2 TS') or
            ((copy (passagem, 1, 5)) = '2 TES') or
            ((copy (passagem, 1, 16)) = '2TESSALONICENSES') or
            ((copy (passagem, 1, 16)) = '2TESSALONICENCES') or
            ((copy (passagem, 1, 16)) = '2TESSALONISENCES') or
            ((copy (passagem, 1, 2)) = '2 TESSALONICENSES') or
            ((copy (passagem, 1, 2)) = '2 TESSALONICENCES') or
            ((copy (passagem, 1, 2)) = '2 TESSALONISENCES') then
  codlivro := (60)
else

            if ((copy (passagem, 1, 3)) = '1TI') or
            ((copy (passagem, 1, 3)) = '1TM') or
            ((copy (passagem, 1, 10)) = '1 TIMOQEON') or
            ((copy (passagem, 1, 9)) = '1 TIMOTEO') or
            ((copy (passagem, 1, 10)) = '1 TIMOTHE') or
            ((copy (passagem, 1, 11)) = '1 TIMOTHEUM') or
            ((copy (passagem, 1, 11)) = '1 TIMOTHEUS') or
            ((copy (passagem, 1, 9)) = '1 TIMOTHY') or
            ((copy (passagem, 1, 4)) = '1TIM') or
            ((copy (passagem, 1, 4)) = '1 TI') or
            ((copy (passagem, 1, 4)) = '1 TM') or
            ((copy (passagem, 1, 5)) = '1 TIM') or
            ((copy (passagem, 1, 8)) = '1TIMOTEO') or
            ((copy (passagem, 1, 9)) = '1 TIMOTEO') or
            ((copy (passagem, 1, 8)) = '1TIMTEO') or
            ((copy (passagem, 1, 9)) = '1 TIMTEO') then
  codlivro := (61)
else

            if ((copy (passagem, 1, 3)) = '2TI') or
            ((copy (passagem, 1, 3)) = '2TM') or
            ((copy (passagem, 1, 10)) = '2 TIMOQEON') or
            ((copy (passagem, 1, 9)) = '2 TIMOTEO') or
            ((copy (passagem, 1, 10)) = '2 TIMOTHE') or
            ((copy (passagem, 1, 11)) = '2 TIMOTHEUM') or
            ((copy (passagem, 1, 11)) = '2 TIMOTHEUS') or
            ((copy (passagem, 1, 9)) = '2 TIMOTHY') or
            ((copy (passagem, 1, 4)) = '2TIM') or
            ((copy (passagem, 1, 4)) = '2 TI') or
            ((copy (passagem, 1, 4)) = '2 TM') or
            ((copy (passagem, 1, 5)) = '2 TIM') or
            ((copy (passagem, 1, 8)) = '2TIMOTEO') or
            ((copy (passagem, 1, 9)) = '2 TIMOTEO') or
            ((copy (passagem, 1, 8)) = '2TIMTEO') or
            ((copy (passagem, 1, 9)) = '2 TIMTEO') then
  codlivro := (62)
else

            if ((copy (passagem, 1, 2)) = 'TT') or
            ((copy (passagem, 1, 4)) = 'TITE') or
            ((copy (passagem, 1, 5)) = 'TITON') or
            ((copy (passagem, 1, 5)) = 'TITUM') or
            ((copy (passagem, 1, 5)) = 'TITUS') or
            ((copy (passagem, 1, 3)) = 'TIT') or
            ((copy (passagem, 1, 4)) = 'TITO') or
            ((copy (passagem, 1, 4)) = 'TITU') then
  codlivro := (63)
else

            if ((copy (passagem, 1, 2)) = 'FL') or
            ((copy (passagem, 1, 8)) = 'fFILEMN') or
            ((copy (passagem, 1, 8)) = 'FILEMONE') or
            ((copy (passagem, 1, 8)) = 'FILHMONA') or
            ((copy (passagem, 1, 8)) = 'PHILMON') or
            ((copy (passagem, 1, 8)) = 'PHILEMON') or
            ((copy (passagem, 1, 10)) = 'PHILEMONEM') or
            ((copy (passagem, 1, 3)) = 'FIL') or
            ((copy (passagem, 1, 3)) = 'PHM') or
            ((copy (passagem, 1, 7)) = 'FILEMON') or
            ((copy (passagem, 1, 7)) = 'FILEMOM') then
  codlivro := (64)
else

            if ((copy (passagem, 1, 2)) = 'HB') or
            ((copy (passagem, 1, 8)) = 'CHABAKUK') or
            ((copy (passagem, 1, 8)) = 'EBRAIOUS') or
            ((copy (passagem, 1, 5)) = 'EBREI') or
            ((copy (passagem, 1, 8)) = 'HEBRAEER') or
            ((copy (passagem, 1, 8)) = 'HEBRAEOS') or
            ((copy (passagem, 1, 7)) = 'HEBRER') or
            ((copy (passagem, 1, 7)) = 'HBREUX') or
            ((copy (passagem, 1, 7)) = 'HEBREWS') or
            ((copy (passagem, 1, 3)) = 'HEB') or
            ((copy (passagem, 1, 7)) = 'HEBREUS') or
            ((copy (passagem, 1, 7)) = 'HEBREOS') then
  codlivro := (65)
else

            if ((copy (passagem, 1, 2)) = 'TG') or
            ((copy (passagem, 1, 7)) = 'GIACOMO') or
            ((copy (passagem, 1, 6)) = 'IACOBI') or
            ((copy (passagem, 1, 7)) = 'IAKWBOU') or
            ((copy (passagem, 1, 7)) = 'JACQUES') or
            ((copy (passagem, 1, 7)) = 'JAKOBUS') or
            ((copy (passagem, 1, 5)) = 'JAMES') or
            ((copy (passagem, 1, 6)) = 'JAQUES') or
            ((copy (passagem, 1, 8)) = 'SANTIAGO') or
            ((copy (passagem, 1, 3)) = 'TIA') or
            ((copy (passagem, 1, 5)) = 'TIAGO') or
            ((copy (passagem, 1, 3)) = 'JAM') or
            ((copy (passagem, 1, 9)) = 'SO TIAGO') or
            ((copy (passagem, 1, 6)) = 'THIAGO') then
  codlivro := (66)
else

            if ((copy (passagem, 1, 3)) = '1PE') or
            ((copy (passagem, 1, 7)) = '1 PETER') or
            ((copy (passagem, 1, 7)) = '1 PETRI') or
            ((copy (passagem, 1, 8)) = '1 PETROU') or
            ((copy (passagem, 1, 8)) = '1 PETRUS') or
            ((copy (passagem, 1, 8)) = '1 PIERRE') or
            ((copy (passagem, 1, 8)) = '1 PIETRO') or
            ((copy (passagem, 1, 4)) = '1PED') or
            ((copy (passagem, 1, 4)) = '1 PE') or
            ((copy (passagem, 1, 5)) = '1 PED') or
            ((copy (passagem, 1, 6)) = '1PEDRO') or
            ((copy (passagem, 1, 7)) = '1 PEDRO') or
            ((copy (passagem, 1, 11)) = '1 SO PEDRO') then
  codlivro := (67)
else

            if ((copy (passagem, 1, 3)) = '2PE') or
            ((copy (passagem, 1, 7)) = '2 PETER') or
            ((copy (passagem, 1, 7)) = '2 PETRI') or
            ((copy (passagem, 1, 8)) = '2 PETROU') or
            ((copy (passagem, 1, 8)) = '2 PETRUS') or
            ((copy (passagem, 1, 8)) = '2 PIERRE') or
            ((copy (passagem, 1, 8)) = '2 PIETRO') or
            ((copy (passagem, 1, 4)) = '2PED') or
            ((copy (passagem, 1, 4)) = '2 PE') or
            ((copy (passagem, 1, 3)) = '2 P') or
            ((copy (passagem, 1, 5)) = '2 PED') or
            ((copy (passagem, 1, 6)) = '2PEDRO') or
            ((copy (passagem, 1, 7)) = '2 PEDRO') or
            ((copy (passagem, 1, 11)) = '2 SO PEDRO') then
  codlivro := (68)
else

            if ((copy (passagem, 1, 3)) = '1JO') or
            ((copy (passagem, 1, 10)) = '1 GIOVANNI') or
            ((copy (passagem, 1, 9)) = '1 IOANNIS') or
            ((copy (passagem, 1, 9)) = '1 IWANNOU') or
            ((copy (passagem, 1, 6)) = '1 JEAN') or
            ((copy (passagem, 1, 10)) = '1 JOHANNES') or
            ((copy (passagem, 1, 6)) = '1 JOHN') or
            ((copy (passagem, 1, 6)) = '1 JUAN') or
            ((copy (passagem, 1, 3)) = '1 J') or
            ((copy (passagem, 1, 4)) = '1JOA') or
            ((copy (passagem, 1, 4)) = '1 JO') or
            ((copy (passagem, 1, 5)) = '1 JOA') or
            ((copy (passagem, 1, 5)) = '1JOAO') or
            ((copy (passagem, 1, 6)) = '1 JOAO') or
            ((copy (passagem, 1, 5)) = '1JOO') or
            ((copy (passagem, 1, 6)) = '1 JOO') or
            ((copy (passagem, 1, 10)) = '1 SO JOO') then
  codlivro := (69)
else

            if ((copy (passagem, 1, 3)) = '2JO') or
            ((copy (passagem, 1, 10)) = '2 GIOVANNI') or
            ((copy (passagem, 1, 9)) = '2 IOANNIS') or
            ((copy (passagem, 1, 9)) = '2 IWANNOU') or
            ((copy (passagem, 1, 6)) = '2 JEAN') or
            ((copy (passagem, 1, 10)) = '2 JOHANNES') or
            ((copy (passagem, 1, 6)) = '2 JOHN') or
            ((copy (passagem, 1, 6)) = '2 JUAN') or
            ((copy (passagem, 1, 3)) = '2 J') or
            ((copy (passagem, 1, 4)) = '2JOA') or
            ((copy (passagem, 1, 4)) = '2 JO') or
            ((copy (passagem, 1, 5)) = '2 JOA') or
            ((copy (passagem, 1, 5)) = '2JOAO') or
            ((copy (passagem, 1, 6)) = '2 JOAO') or
            ((copy (passagem, 1, 5)) = '2JOO') or
            ((copy (passagem, 1, 6)) = '2 JOO') or
            ((copy (passagem, 1, 10)) = '2 SO JOO') then
  codlivro := (70)
else

            if ((copy (passagem, 1, 3)) = '1SM') or
            ((copy (passagem, 1, 9)) = '1 SAMUELE') or
            ((copy (passagem, 1, 10)) = '1 SAMUELIS') or
            ((copy (passagem, 1, 8)) = '1 SHMUEL') or
            ((copy (passagem, 1, 4)) = '1SAM') or
            ((copy (passagem, 1, 4)) = '1 SM') or
            ((copy (passagem, 1, 3)) = '1 S') or
            ((copy (passagem, 1, 5)) = '1 SAM') or
            ((copy (passagem, 1, 7)) = '1SAMUEL') or
            ((copy (passagem, 1, 8)) = '1 SAMUEL') then
  codlivro := (9)
else

            if ((copy (passagem, 1, 3)) = '2SM') or
            ((copy (passagem, 1, 9)) = '2 SAMUELE') or
            ((copy (passagem, 1, 10)) = '2 SAMUELIS') or
            ((copy (passagem, 1, 8)) = '2 SHMUEL') or
            ((copy (passagem, 1, 4)) = '2SAM') or
            ((copy (passagem, 1, 4)) = '2 SM') or
            ((copy (passagem, 1, 3)) = '2 S') or
            ((copy (passagem, 1, 5)) = '2 SAM') or
            ((copy (passagem, 1, 7)) = '2SAMUEL') or
            ((copy (passagem, 1, 8)) = '2 SAMUEL') then
  codlivro := (10)
else

            if ((copy (passagem, 1, 3)) = '3JO') or
            ((copy (passagem, 1, 10)) = '3 GIOVANNI') or
            ((copy (passagem, 1, 9)) = '3 IOANNIS') or
            ((copy (passagem, 1, 9)) = '3 IWANNOU') or
            ((copy (passagem, 1, 6)) = '3 JEAN') or
            ((copy (passagem, 1, 10)) = '3 JOHANNES') or
            ((copy (passagem, 1, 6)) = '3 JOHN') or
            ((copy (passagem, 1, 6)) = '3 JUAN') or
            ((copy (passagem, 1, 3)) = '3 J') or
            ((copy (passagem, 1, 4)) = '3JOA') or
            ((copy (passagem, 1, 4)) = '3 JO') or
            ((copy (passagem, 1, 5)) = '3 JOA') or
            ((copy (passagem, 1, 5)) = '3JOAO') or
            ((copy (passagem, 1, 6)) = '3 JOAO') or
            ((copy (passagem, 1, 5)) = '3JOO') or
            ((copy (passagem, 1, 6)) = '3 JOO') or
            ((copy (passagem, 1, 10)) = '3 SO JOO') then
  codlivro := (71)
else

            if ((copy (passagem, 1, 2)) = 'JD') or
            ((copy (passagem, 1, 5)) = 'GIUDA') or
            ((copy (passagem, 1, 5)) = 'IOUDA') or
            ((copy (passagem, 1, 5)) = 'IUDAE') or
            ((copy (passagem, 1, 3)) = 'JUD') or
            ((copy (passagem, 1, 4)) = 'JUDE') or
            ((copy (passagem, 1, 5)) = 'JUDAS') then
  codlivro := (72)
else

            if ((copy (passagem, 1, 2)) = 'AP') or
            ((copy (passagem, 1, 11)) = 'APOCALIPSIS') or
            ((copy (passagem, 1, 10)) = 'APOCALISSE') or
            ((copy (passagem, 1, 10)) = 'APOCALYPSE') or
            ((copy (passagem, 1, 11)) = 'APOCALYPSIS') or
            ((copy (passagem, 1, 10)) = 'APOKALUYIS') or
            ((copy (passagem, 1, 11)) = 'OFFENBARUNG') or
            ((copy (passagem, 1, 10)) = 'REVELATION') or
            ((copy (passagem, 1, 3)) = 'APO') or
            ((copy (passagem, 1, 2)) = 'RV') or
            ((copy (passagem, 1, 3)) = 'REV') or
            ((copy (passagem, 1, 10)) = 'REVELAES') or
            ((copy (passagem, 1, 10)) = 'REVELACOES') or
            ((copy (passagem, 1, 10)) = 'REVELAOES') or
            ((copy (passagem, 1, 10)) = 'REVELACES') or
            ((copy (passagem, 1, 10)) = 'APOCALIPSE') or
            ((copy (passagem, 1, 11)) = 'APOCALIPSSE') or
            ((copy (passagem, 1, 10)) = 'APOCALIPCE') then
  codlivro := (73)
else

  codlivro := (0);

  If codlivro in[1..73] then
else
    begin
if (opc = 'L') or (opc = ' ') then
else
    msgbaixo ('BVLIVNAO', 'Livro no existe');
    goto denovo;
    end;

            k := (pos (':', passagem)) or
(pos ('.', passagem)) or
(pos (',', passagem)) or
(pos (';', passagem));
            if k <> 0 then
            begin
                if k > 1 then
                    capitulo := copy (passagem, 1, k-5)
                else
                    capitulo := '';
                if (passagem[k] = ':') or
                (passagem[k] = '.') or
                (passagem[k] = ',') or
                (passagem[k] = ';') then
                    delete (passagem, 1, k-4)
                else
                    delete (passagem, 1, k-2);
            end
            else
                capitulo := '';

            k := (pos (':', passagem)) or
(pos ('.', passagem)) or
(pos (',', passagem)) or
(pos (';', passagem));
            if k <> 0 then
            begin
                if k > 0 then
                    capitulo := copy (passagem, 1, k-1)
                else
                    capitulo := '';
                delete (passagem, 1, k);
            end
            else
                capitulo := '';

begin
            k := pos (' ', capitulo);
            if k <> 0 then
                delete (capitulo, 1, k);
  capitulo:=Limpa (   capitulo);

    while (capitulo <> '') and (capitulo[1] in espurios2) do
        delete (capitulo, 1, 1);

end;

  If capitulo = ''  Then
    begin
    msgbaixo('BVPASINC', 'Passagem incompleta');
goto denovo;
    end;
    val(capitulo, capituloatual, erro);
  If (capituloatual > Numerocap[codlivro]) or (capitulo = '0') or (capitulo = '00') or (capitulo = '000')  then
    begin
    msgbaixo ('BVCAPNAO', 'Captulo no existe');
    goto denovo;
    end;

  versiculo :=Limpa (   passagem);

    while (versiculo <> '') and (versiculo[1] in espurios2) do
        delete (versiculo, 1, 1);

  If versiculo=''  then versiculo :='1';
 versiculo := ('' + versiculo);
  gotoxy(27, 18);
  textbackground(red);
  textcolor(white+blink);
  write (' ':21,'Abrindo a sua Bblia...');
  textbackground(blue);
  textcolor(White);

  textoprocura := {maiuscansi(limpa(nomelivro^[codlivro]))+ }
         '-CAPITULO-'+capitulo;

  assign(arquivo, dadosDisco);
  {$I-} reset(arquivo); {$I+}
  If IOResult <> 0  Then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    write(#7);
    delay (10);
    exit;
    end;
  achou := false;
  seek(arquivo, indice[codlivro]);
  While (not achou)and(filepos(arquivo)<indice[codlivro+1])  Do
    begin
    read(arquivo, linhateste);
    achou :=pos(textoprocura,linhateste)>0;{, 1, length(textoprocura));}
end;
  If not achou  Then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;
ponteiro := filepos(arquivo)-1;

{  If versiculo = '1'  Then inc(ponteiro,3)
    Else begin}
    while length(versiculo)<1  Do versiculo:=' '+versiculo;
    repeat
    read(arquivo, linhateste)
    Until (pos(versiculo, linhateste)>0)or(linhateste=limpeza);
{    end;}
  If linhateste<> limpeza  Then
    begin
    ponteiro:=filepos(arquivo)-1;
if (opc = 'L') or (opc = ' ') then
    msgbaixo ('BVRETLEI', 'Retomando a leitura')
else
    msgbaixo ('BVACHEI', 'Achei');
    end
    Else msgbaixo ('BVSOCAP', 'S encontrei o captulo desejado');

  py:=1;
px :=1;
  textoBuscado := '';
  seek(arquivo,ponteiro +py-1);
            read(arquivo, linhateste);
            linhateste:=maiuscansi (limpa(linhateste));
            x := pos (textoBuscado, linhateste);
            if x > 0 then
 px:=2;
atualizaporindice;
letrecho;
                    px :=x;
vy := -1;
if (opc = 'L') or (opc = ' ') then
else
gravaprocuraPassagem;
px:=x;
  FalaLivroAtual;
  ProcessaLeitura;
end;

{-----------------------------}

Procedure procuratexto;
var x : byte;
    sz: array [0..144] of char;
    textoAProcurar: string;
    c: char;

begin
    textoAProcurar := sintAmbiente ('EDIVOX', 'TEXTOPROCURADO');
    if textoAProcurar = '' then
        begin
            textoAProcurar := '';
        end;

    textoBuscado := textoAProcurar;

  gotoxy(2,8); write(limpeza);
  gotoxy(10,8); write('Qual o texto a procurar : ');
    msgbaixo ('BVTXTPRC', 'Digite o texto a procurar');
    sintetiza (textoBuscado);
    begin
    c := sintEdita (textoBuscado, wherex, wherey, 255, true);
    textoBuscado := maiuscAnsi (textoBuscado);
gotoxy(10, 13);
write ('Digite o texto a procurar : ');
//sintclek;

    if textoBuscado = '' then
    textoBuscado := textoAProcurar;
            strPCopy (sz, textoBuscado);
            writePrivateProfileString('EDIVOX', 'TEXTOPROCURADO',     sz, 'DOSVOX.INI');

    if c = ESC then
        begin
                msgbaixo('BVDESIST', 'Operao cancelada');
    gotoxy(2,8); write(limpeza);
                exit;
end;

    if textoBuscado = '' then
        begin
textoBuscado := textoAProcurar;
                msgbaixo('BVDESIST', 'Operao cancelada');
            exit;
        end
else

  gotoxy(22, 16);
  textbackground(red);
  textcolor(white+blink);
  write ('Processando consulta em arquivos...');
  textbackground(blue);
  textcolor(White);
  assign(arquivo, dadosDisco);
  {$I-} reset(arquivo); {$I+}
  If IOResult <> 0  Then
    begin
    msgbaixo('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;
  achou := false;
  While (not achou)and(filepos(arquivo)<tamanhoBiblia)  Do
    begin
    read(arquivo, linhateste);
    linhateste := maiuscansi(limpa(linhateste));
    achou :=pos(textoBuscado, linhateste) > 0;
            x := pos (textoBuscado, linhateste);
end;
  If not achou  Then
    begin
                msgbaixo('BVBIP', 'Bip');
    msgbaixo('BVTXTNAO', 'Texto no encontrado');
    exit;
    end;

                msgbaixo('BVBIP', 'Bip');
{                    Sintsom('BVTXTENC');}
  sintsom('BVOK');
                    ponteiro :=filepos(arquivo)-1;
    py:=1;
    atualizaporindice;
falalivroatual1;
                    px :=x;
gravaprocura;
px:=x;
  ProcessaLeitura;
end;
end;

{-----------------------------}

Procedure informacoes;
label fecha;
begin
  pontaux :=0;
  assign(arquivo, dadosinfo);
{$I-}RESET(ARQUIVO);{$i+}
  iF ioRESULT <> 0  THEN
    begin
    msgbaixo('BVERRODT', 'Erro grave nos dados do sistema!');
    goto fecha;
    end;
  sintsom('BVLEINFO');
  ponteiro :=1;
    py:=1; px:=1;
    SalvaTamBib := TamanhoBiblia;
    SalvaTamInf := TamanhoInfo;
  TamanhoInfo :=SalvaTamInf;
    letrecho;
    LeituraInfo;
close(arquivo);
  tamanhobiblia :=SalvaTamBib;
fecha :
ponteiro:=1;
end;

{-------------------------}

Procedure LeTudo;
begin
  pontaux :=0;
ponteiro :=indice[1];
  codlivro :=1;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

{-------------------------}

Procedure LeTudo1 (opc: char);
begin
  pontaux :=0;
ponteiro :=indice[1];
  codlivro :=1;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

    VaiparaMarca1 (opc);
falaLivroAtual;
  processaLeitura;
end;

{-------------------------}

Procedure NovoTestamen;
begin
  pontaux :=0;
ponteiro :=indice[47];
  codlivro :=47;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

        msgbaixo('BVNOVTES', 'Novo Testamento!');
falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

{-----------------------------}

Procedure AntigoTestamen;
begin
  pontaux :=0;
ponteiro :=indice[1];
  codlivro :=1;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

        msgbaixo('BVANTTES', 'Novo Testamento!');
falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

{-----------------------------}

Procedure LivroSalm;
begin
  pontaux :=0;
ponteiro :=indice[23];
  codlivro :=23;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

{-----------------------------}

Procedure fimBib;
begin
  pontaux :=0;
ponteiro :=indice[73];
  codlivro :=73;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

{-----------------------------}

Procedure LivroProverbi;
begin
  pontaux :=0;
ponteiro :=indice[24];
  codlivro :=24;
  capituloatual :=1;
  py:=1; px:=1;
  assign(arquivo, dadosdisco);
  {$i-} reset(arquivo);{$i+}
  If IOresult <> 0  then
    begin
    msgbaixo ('BVERRODT', 'Erro grave nos dados do sistema!');
    exit;
    end;

falaLivroAtual;
  sintsom('BVPODLER');
  processaLeitura;
end;

end.
