Unit Catvars;

Interface

Type
    DataLinha=record
        l, c : Byte;
        end;

    TipoNomeLivro = String[19];

    VetorNomeLivros = array[0..74]of TipoNomeLivro;

    Arquilinha =File of Datalinha;

    Linha = String[78];
    Vetor = Array[1..11]of Linha;

TipoMarca = Record
    livro,
    capitulo,
    verso: Byte;
    end;

var
    tituloJan: array [0..100] of char;
    somlivro : string[5];
    nomeLivros : ^VetorNomeLivros;
    NumeroCap:array[1..73]of integer;
    indice : Array[0..74] of LongInt;
    TamanhoApocalipse: Integer;
    vy, vy1, ponty: integer;
    InicioUltimoCapitulo: Integer;
    Dislinha : Datalinha;
    quelinha : arquilinha;
    erro : Integer;
    gravaAsProcuras: boolean;               { Grava as procuras}
    dirGravaProcuras: boolean;               { Grava as procuras}
    numlivro, passagem, versiculo, versiculo0, tituloLer, titulolerinibloco: string;
    achou : boolean;
    linhateste, linhateste0 : Linha;
    texto : Vetor;
    Codlivro, px, py, paux, capituloatual : Integer;
    ponteiro, salvaPont, pontaux, limite, tamanhobiblia, TamanhoInfo, SalvaTamBib, SalvaTamInf : LongInt;
    Livro, capitulo : Linha;
    arquivo : File of Linha;
    nomearquivo, saida : Linha;
    Inibloco, Fimbloco : LongInt;
    iniMarca, fimMarca, novoIni: LongInt;
    Textoprocura: Linha;
    textoBuscado: string;
    ArquiMarca : File of TipoMarca;
    Marca : Array['0'..'9']of TipoMarca;
    tecla, resp, opc, lixo : char;
    salvaCurx,                   { posicao salva do cursor }
    salvaCury: integer;
    extPadrao: string;           { extenso padro do arquivo}
    arqIni: string;
    velGeral, confTipoSapi, confNum, confVeloc, confTonal: integer;
    comSapi: boolean;

var
    DadosDisco, DadosLinhas, DadosInfo, dadosMarca, dirDados: string [80];

const
    ctlEnd = #117;
    ctlHome = #119;
    blink = 16;

    Limpeza ='                                                                              ';
    consultar='              Qual o tipo de consulta ? ';
    BarraMenu = '         Tecle a letra em destaque ou |F1| para ajuda         ';
    BarraInfo ='          Use as setas e controles para andar no texto.  ESC termina          ';
    BarraSelec = 'Use os controles para escolher o livro, depois <ENTER>';
    BarraLeitura = '   F5 - Acha texto  F6 - Troca Livro  F7 - Troca capitulo  F9 / F10 - Marcas  ';

Procedure Limpabaixo;
Procedure Molduratela;
Procedure MsgBaixo(s:String; m:String);
Procedure Letrecho;
function primeiraLetra (s: string): char;
Function selecionalivro(x,y:byte):byte;
Function Limpa(s:string):string;
Procedure LeMarcadores;
Procedure GravaMarcadores;
Procedure AjudaComandos;

Implementation
uses DVcrt,  DVWin, Windows, SysUtils, catsint;

Const textoHelp:array[1..15]of string=(
'F1 - Comandos normais de fala',
'F2 - Informa livro e captulo atuais',
'F3 - Posiciona em um versculo, dentro do captulo atual',
'F4 - Comando para alterar modo de fala',
'F5 - Procura de palavra ou texto',
'F6 - Seleciona novo livro',
'F7 - Seleciona novo captulo, dentro do livro atual',
'F8 - Informa a hora do sistema',
'F9 - Posiciona em uma das 10 marcas',
'F10 - Coloca posio atual em uma das 10 marcas',
'PGUP - Posiciona no captulo anterior',
'PGDN - Posiciona no captulo posterior',
'CTRL - PGUP - Posiciona no livro anterior',
'CTRL - PGDN - Posiciona no livro posterior',
'INSERT - Posiciona no incio do captulo');

Function limpa(s:string):string;
var achoubranco : Boolean; i:Byte;
begin
while (length(s)>0)and(s[1] = ' ')  do delete(s,1,1);
  while (length(s)>0)and(s[length(s)]=' ')  Do delete(s,length(s),1);
  achoubranco := false;
  i:=1;
  While i< Length(s)  Do begin
        inc(i);
    If s[i]=' '  Then
    If achoubranco  Then
        begin
        delete(s,i,1);
        dec(i);
        end
        Else achoubranco :=true
    Else achoubranco := false;
    end;

limpa :=s;
end;

Procedure LimpaBaixo;
var j : byte;
begin
for j:=7 to 22 do
 begin
    gotoxy(2,j);
    write(limpeza);
 end;
 gotoxy(2, 24);
 write(limpeza);
end;

Procedure msgBaixo;
begin
textbackground(red);
textcolor(white);
highvideo;
gotoxy(2, 24);
write(limpeza);
gotoxy(40-length(m)div 2, 24);
write(m);
sintsom(s);
normvideo;
//textcolor(WHITE);
//textbackground(BLACK);
textcolor(CYAN);
textbackground(MAGENTA);
gotoxy(2,24);
write(limpeza);
end;

Procedure MolduraTela;
var j: byte;
begin
textcolor(white);
gotoxy(1,1);
write('+');
for j:=2 to 79 do write('-');
write('+', '');
for J:=1 to 23  do
  begin
  gotoxy(80, j+1);
  write('', '');
  end;
gotoxy(1,25);
write('+');
For j:=2 to 79  Do write('-');
gotoxy(1,6);
write('+');
for j:=2 to 79 do write('-');
write('');
gotoxy(1,23); write('+');
for j:=2 to 79  do write('-');
write('');
{mem[$B800:3998]:=217;}
textcolor(White);
end;

Procedure Letrecho;
var fori:Byte;
begin
pontaux:= ponteiro ;
If pontaux < 0  then pontaux:=0;
   seek(arquivo, pontaux);
    ponteiro := pontaux;
for fori := 1 to 11 do
  read(arquivo, texto[fori]);
end;

function primeiraLetra (s: string): char;
begin
    s := trim (s);
    delete (s, 2, 999);
    if s = '' then primeiraLetra := ' '
              else primeiraLetra := upcase (s[1]);
end;

Function SelecionaLivro(x,y:Byte) : Byte;
var i : Byte;
Begin
  Case codlivro of
    0 : codlivro := 1;
    74 : codlivro :=73;
    end;

  i:=codlivro;
  resp :=#255;
  while resp <> #$0D  Do
    begin
    gotoxy(x,y);
    textbackground(red);
    write(nomelivros^[i]);
    textbackground(blue);
    str ( i, somlivro);
    if length(somlivro) = 1  then somlivro :='BV0' + somlivro
        Else somlivro := 'BV' + somlivro;
    sintsom(somlivro);
    resp := readkey;
    If resp = #0  Then
      resp :=readkey;
    Case resp of

        'a', 'A', ^a : begin
if (i < 37) or (i = 73) then i := 37
else
if (i = 37) or (i < 38) then i := 38
else
if (i = 38) or (i < 44) then i := 44
else
if (i = 44) or (i < 51) then i := 51
else
if (i = 51) or (i < 73) then i := 73;
{sintclek;}
end;

        'b', 'B', ^b : begin
if (i < 32) or (i >= 32)  then i := 32;
{sintclek;}
end;

        'c', 'C', ^c : begin
if (i < 13) or (i >= 58) then i := 13
else
if (i = 13) or (i < 14) then i := 14
else
if (i = 14) or (i < 26) then i := 26
else
if (i = 26) or (i < 53) then i := 53
else
if (i = 53) or (i < 54) then i := 54
else
if (i = 54) or (i < 58) then i := 58;
{sintclek;}
end;

        'd', 'D', ^d : begin
if (i < 5) or (i >= 34) then i := 5
else
if (i = 5) or (i < 34) then i := 34;
{sintclek;}
end;

        'e', 'E', ^e : begin
if (i < 2) or (i >= 56) then i := 2
else
if (i = 2) or (i < 15) then i := 15
else
if (i = 15) or (i < 19) then i := 19
else
if (i = 19) or (i < 25) then i := 25
else
if (i = 25) or (i < 28) then i := 28
else
if (i = 28) or (i < 33) then i := 33
else
if (i >= 33) or (i < 56) then i := 56;
{sintclek;}
end;

        'f', 'F', ^f : begin
if (i < 57) or (i >= 64) then i := 57
else
if (i = 57) or (i < 64) then i := 64;
{sintclek;}
end;

        'g', ^g : begin
if (i < 1) or (i >= 55) then i := 1
else
if (i = 1) or (i < 55) then i := 55;
{sintclek;}
end;

        'h' : begin
if (i < 42) or (i >= 65) then i := 42
else
if (i = 42) or (i < 65) then i := 65;
{sintclek;}
end;

        'i', ^i: begin
if (i < 29) or (i >= 29)  then i := 29;
{sintclek;}
end;

        'j', 'J', ^j : begin
if (i < 6) or (i >= 72) then i := 6
else
if i = 6  then i := 7
else
if (i = 7) or (i < 18) then i := 18
else
if (i = 18) or (i < 22) then i := 22
else
if (i = 22) or (i < 30) then i := 30
else
if (i = 30) or (i < 36) then i := 36
else
if (i = 36) or (i < 39) then i := 39
else
if (i = 39) or (i < 50) then i := 50
else
if (i = 50) or (i < 69) then i := 69
else
if (i = 69) or (i < 70) then i := 70
else
if (i = 70) or (i < 71) then i := 71
else
if (i = 71) or (i < 72) then i := 72;
{sintclek;}
end;

        'l', 'L', ^l : begin
if (i < 3) or (i >= 49) then i := 3
else
if (i = 3) or (i < 31) then i := 31
else
if (i = 31) or (i < 49) then i := 49;
{sintclek;}
end;

        'm', 'M' : begin
if (i < 20) or (i >= 48) then i := 20
else
if (i = 20) or (i < 21) then i := 21
else
if (i = 21) or (i < 40) then i := 40
else
if (i = 40) or (i < 46) then i := 46
else
if (i = 46) or (i < 47) then i := 47
else
if i = 47 then i := 48;
{sintclek;}
end;

        'n', 'N', ^n : begin
if (i < 4) or (i >= 41) then i := 4
else
if (i = 4) or (i < 16) then i := 16
else
if (i = 16) or (i < 41) then i := 41;
{sintclek;}
end;

        'o', ^o : begin
if (i < 35) or (i >= 35)  then i := 35;
{sintclek;}
end;

        'p', ^p : begin
if (i < 24) or (i >= 68) then i := 24
else
if (i = 24) or (i < 67) then i := 67
else
if (i = 67) or (i < 68) then i := 68;
{sintclek;}
end;

        'r', 'R', ^r : begin
if (i < 8) or (i >= 52) then i := 8
else
if (i = 8) or (i < 11) then i := 11
else
if (i = 11) or (i < 12) then i := 12
else
if (i = 12) or (i < 52) then i := 52;
{sintclek;}
end;

        's', 'S', ^s : begin
if (i < 9) or (i >= 43) then i := 9
else
if (i = 9) or (i < 10) then i := 10
else
if (i = 10) or (i < 23) then i := 23
else
if (i = 23) or (i < 27) then i := 27
else
if (i = 27) or (i < 43) then i := 43;
{sintclek;}
end;

        't', 'T', ^t : begin
if (i < 17) or (i >= 66) then i := 17
else
if (i = 17) or (i < 59) then i := 59
else
if (i = 59) or (i < 60) then i := 60
else
if (i = 60) or (i < 61) then i := 61
else
if (i = 61) or (i < 62) then i := 62
else
if (i = 62) or (i < 63) then i := 63
else
if (i = 63) or (i < 66) then i := 66;
{sintclek;}
end;

        'z', 'Z', ^z : begin
if (i < 45) or (i >= 45)  then i := 45;
{sintclek;}
end;

        cima : begin If i > 1  Then dec(i); {sintclek;} end;
        baix : begin If i < 73  Then inc(i); {sintclek;} end;
        Enter : begin  SelecionaLivro :=i; {sintclek;} end;
        ESC : Begin
              SelecionaLivro :=0;
              exit;
              end;
        PGDN : begin If i < 69  then i:=i+5  Else i:=73; {sintclek;} end;
        PGUP : begin If i > 6 then i :=i-5 Else i:=1; {sintclek;} end;
        HOME : begin i :=1; {sintclek;} end;
        TEND : begin i := 73; {sintclek;} end;
        Else sintbip;
        end;
    end;
end;

{--------------------------------------------}

Procedure LeMarcadores;
var fori: Char;
begin
  assign(arquiMarca, dadosmarca);
{$i-}  reset(arquimarca);{$i+}
  If IOresult<> 0  Then
    begin
    msgbaixo('BVARQPER', 'Arquivo de marcadores perdido !');
  for fori:='0' to '9' Do
    begin
marca[fori].livro :=1;
marca[fori].Capitulo :=1;
marca[fori].Verso :=1;
    end;

    exit;
    end;

  for fori:='0'  to '9'  do read(arquimarca, marca[fori]);
  close(arquimarca);
  end;

{------------------------------}

Procedure GravaMarcadores;
var indMarca: Char;
begin
  assign(arquimarca, dadosmarca);
  {$I-} rewrite(arquimarca);  {$I+}
  if ioresult <> 0 then exit;
  for indMarca := '0'  to  '9'  Do
    write(arquimarca, marca[indMarca]);
  close(arquimarca);
end;

procedure AjudaComandos;
var i : Byte;
    c: String;
begin
  limpabaixo;
  gotoxy(15,8); write('Comandos para Leitura da Bblia :');
  gotoxy(10,11); write('As teclas de funo so as seguintes :');
  sintsom('BVAJUDA2');
  for i:= 1 to 15  Do
    begin
    If keypressed then exit;
    str(i,c);
    gotoxy(2,13); write(limpeza);
    gotoxy(10,13); write(textohelp[i]);
    sintsom('BVAC'+c);
    end;
end;

begin
    new ( NomeLivros );
end.
